/*
 * File: TsmSystem.h
 * Date: 18 aug 2012
 * Time: 17:34:52
 * Generated by TismTool version 0.9
 */

/*
 * Overview of identifications
 * ---------------------------
 * Ports:
 *     22 ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > pp_checker )
 *     66 ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > pp_howlers )
 *     67 ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > rp_slave )
 *     68 ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > rp_checker )
 *    111 ( Xmi > Data > Protocols > CheckerProtocol > CheckerServer > Port )
 *    121 ( Xmi > Data > Protocols > CheckerProtocol > CheckerClient > Port )
 *    132 ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient > Port )
 *    147 ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > Port )
 *    163 ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > Port )
 *    191 ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > Port )
 * Triggers:
 *      1 void IChecker___Check( void )
 *      2 int IHowlers___GetInfo( void )
 *      3 void IHowlers___Pause( void )
 *      4 void IHowlers___Slow( void )
 *      5 void IHowlers___Start( void )
 *      6 void IHowlers___Stop( void )
 *      7 void IHowlers___Test( void )
 *      8 void ICbSlave___CbOutSync( void )
 *      9 void ICbSlave___CbStarted( void )
 *     10 void ICbSlave___CbStopped( void )
 *     11 void ICbChecker___CbChecked( void )
 *     12 void ISlave___Start( void )
 *     13 void ISlave___Stop( void )
 *     14 void ICbHowlers___CbPaused( void )
 *     15 void ICbHowlers___CbSlowed( void )
 *     16 void ICbHowlers___CbStarted( void )
 *     17 void ICbHowlers___CbStopped( void )
 *     18 void ICbHowlers___CbOutSync( void )
 * Natives:
 *   -128 ( CheckerClientPsm >> Idle ) ->
 *        ( CheckerClientPsm >> Checking )
 *        Check();
 *   -143 ( SlaveClientPsm >> Idle ) ->
 *        ( SlaveClientPsm >> Starting )
 *        Start();
 *   -144 ( SlaveClientPsm >> Busy ) ->
 *        ( SlaveClientPsm >> Stopping )
 *        Stop();
 *    157 ( SlaveServerPsm >> Starting ) ->
 *        ( SlaveServerPsm >> Busy )
 *        CbStarted();
 *    159 ( SlaveServerPsm >> Stopping ) ->
 *        ( SlaveServerPsm >> Idle )
 *        CbStopped();
 *    160 ( SlaveServerPsm >> Busy ) ->
 *        ( SlaveServerPsm >> Busy )
 *        CbOutSync();
 *   -176 ( HowlersClientPsm >> Active >> Busy ) ->
 *        ( HowlersClientPsm >> JuncState )
 *        Slow();
 *   -179 ( HowlersClientPsm >> Active >> Busy ) ->
 *        ( HowlersClientPsm >> Active >> Test )
 *        Test();
 *   -180 ( HowlersClientPsm >> Active >> Busy ) ->
 *        ( HowlersClientPsm >> Active >> Pausing )
 *        Pause();
 *   -182 ( HowlersClientPsm >> Active >> Starting ) ->
 *        ( HowlersClientPsm >> Active >> Starting )
 *        GetInfo();
 *   -186 ( HowlersClientPsm >> Idle ) ->
 *        ( HowlersClientPsm >> Active >> Starting )
 *        Start();
 *   -189 ( HowlersClientPsm >> Active ) ->
 *        ( HowlersClientPsm >> Stopping )
 *        Stop();
 *    204 ( HowlersServerPsm >> Active >> Pausing ) ->
 *        ( HowlersServerPsm >> Active >> Busy )
 *        CbPaused();
 *    205 ( HowlersServerPsm >> Active >> Busy ) ->
 *        ( HowlersServerPsm >> Active >> OutSync )
 *        CbOutSync();
 *    209 ( HowlersServerPsm >> Active >> Starting ) ->
 *        ( HowlersServerPsm >> Active >> Busy )
 *        CbStarted();
 *    215 ( HowlersServerPsm >> Stopping ) ->
 *        ( HowlersServerPsm >> Idle )
 *        CbStopped();
 */

#ifndef TSM_SYSTEM_H
#define TSM_SYSTEM_H

#ifdef __cplusplus
extern "C" {
#endif

#include "TsmIncludes.h"
#include "TsmInterfaces.h"

 /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> InitialState ) */
typedef struct Ini_0165_0166Struct
{
#include "TsmPseudo_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Ini_0165_0166;

Ini_0165_0166* Ini_0165_0166_Ctor( TsmBase* oParent );
void Ini_0165_0166_Initial( struct Ini_0165_0166Struct* this, TsmHandler* oHandler );
void Ini_0165_0166_AtEntry( struct Ini_0165_0166Struct* this, TsmHandler* oHandler );
TsmBool Ini_0165_0166_ExecuteTransition( struct Ini_0165_0166Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> JuncState ) */
typedef struct Jun_0165_0167Struct
{
#include "TsmPseudo_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Jun_0165_0167;

Jun_0165_0167* Jun_0165_0167_Ctor( TsmBase* oParent );
void Jun_0165_0167_Initial( struct Jun_0165_0167Struct* this, TsmHandler* oHandler );
void Jun_0165_0167_Tra_0169_0176( struct Jun_0165_0167Struct* this, TsmHandler* oHandler );
void Jun_0165_0167_AtEntry( struct Jun_0165_0167Struct* this, TsmHandler* oHandler );
TsmBool Jun_0165_0167_ExecuteTransition( struct Jun_0165_0167Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Active >> Starting ) */
typedef struct Lea_0169_0170Struct
{
#include "TsmLeaf_fields.h"
  const int* aNatives;
  TsmTransition* aTransitions[ 2 ];
} Lea_0169_0170;

Lea_0169_0170* Lea_0169_0170_Ctor( TsmBase* oParent );
void Lea_0169_0170_Initial( struct Lea_0169_0170Struct* this, TsmHandler* oHandler );
void Lea_0169_0170_Tra_0169_0182( struct Lea_0169_0170Struct* this, TsmHandler* oHandler );
void Lea_0169_0170_Tra_0165_0186( struct Lea_0169_0170Struct* this, TsmHandler* oHandler );
void Lea_0169_0170_Port___CbStarted( struct Lea_0169_0170Struct* this, TsmHandler* oHandler );
void Lea_0169_0170_AtEntry( struct Lea_0169_0170Struct* this, TsmHandler* oHandler );
void Lea_0169_0170_AtExit( struct Lea_0169_0170Struct* this, TsmHandler* oHandler );
int Lea_0169_0170_GetProspect( struct Lea_0169_0170Struct* this, int PortId, int Command );
void Lea_0169_0170_ExecuteTrigger( struct Lea_0169_0170Struct* this, TsmHandler* oHandler );
TsmBool Lea_0169_0170_ExecuteTransition( struct Lea_0169_0170Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Active >> OutSync ) */
typedef struct Lea_0169_0171Struct
{
#include "TsmLeaf_fields.h"
} Lea_0169_0171;

Lea_0169_0171* Lea_0169_0171_Ctor( TsmBase* oParent );
void Lea_0169_0171_Initial( struct Lea_0169_0171Struct* this, TsmHandler* oHandler );
void Lea_0169_0171_Tra_0169_0178( struct Lea_0169_0171Struct* this, TsmHandler* oHandler );
void Lea_0169_0171_AtEntry( struct Lea_0169_0171Struct* this, TsmHandler* oHandler );
TsmBool Lea_0169_0171_ExecuteTransition( struct Lea_0169_0171Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Active >> Slow ) */
typedef struct Lea_0169_0172Struct
{
#include "TsmLeaf_fields.h"
} Lea_0169_0172;

Lea_0169_0172* Lea_0169_0172_Ctor( TsmBase* oParent );
void Lea_0169_0172_Tra_0165_0187( struct Lea_0169_0172Struct* this, TsmHandler* oHandler );
void Lea_0169_0172_Initial( struct Lea_0169_0172Struct* this, TsmHandler* oHandler );
void Lea_0169_0172_AtEntry( struct Lea_0169_0172Struct* this, TsmHandler* oHandler );
TsmBool Lea_0169_0172_ExecuteTransition( struct Lea_0169_0172Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Active >> Busy ) */
typedef struct Lea_0169_0173Struct
{
#include "TsmLeaf_fields.h"
  const int* aNatives;
  TsmTransition* aTransitions[ 4 ];
} Lea_0169_0173;

Lea_0169_0173* Lea_0169_0173_Ctor( TsmBase* oParent );
void Lea_0169_0173_Initial( struct Lea_0169_0173Struct* this, TsmHandler* oHandler );
void Lea_0169_0173_Tra_0169_0177( struct Lea_0169_0173Struct* this, TsmHandler* oHandler );
void Lea_0169_0173_Tra_0169_0181( struct Lea_0169_0173Struct* this, TsmHandler* oHandler );
void Lea_0169_0173_Port___CbOutSync( struct Lea_0169_0173Struct* this, TsmHandler* oHandler );
void Lea_0169_0173_AtEntry( struct Lea_0169_0173Struct* this, TsmHandler* oHandler );
void Lea_0169_0173_AtExit( struct Lea_0169_0173Struct* this, TsmHandler* oHandler );
int Lea_0169_0173_GetProspect( struct Lea_0169_0173Struct* this, int PortId, int Command );
void Lea_0169_0173_ExecuteTrigger( struct Lea_0169_0173Struct* this, TsmHandler* oHandler );
TsmBool Lea_0169_0173_ExecuteTransition( struct Lea_0169_0173Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Active >> Pausing ) */
typedef struct Lea_0169_0174Struct
{
#include "TsmLeaf_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Lea_0169_0174;

Lea_0169_0174* Lea_0169_0174_Ctor( TsmBase* oParent );
void Lea_0169_0174_Initial( struct Lea_0169_0174Struct* this, TsmHandler* oHandler );
void Lea_0169_0174_Tra_0169_0180( struct Lea_0169_0174Struct* this, TsmHandler* oHandler );
void Lea_0169_0174_Port___CbPaused( struct Lea_0169_0174Struct* this, TsmHandler* oHandler );
void Lea_0169_0174_AtEntry( struct Lea_0169_0174Struct* this, TsmHandler* oHandler );
int Lea_0169_0174_GetProspect( struct Lea_0169_0174Struct* this, int PortId, int Command );
void Lea_0169_0174_ExecuteTrigger( struct Lea_0169_0174Struct* this, TsmHandler* oHandler );
TsmBool Lea_0169_0174_ExecuteTransition( struct Lea_0169_0174Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Active >> Test ) */
typedef struct Lea_0169_0175Struct
{
#include "TsmLeaf_fields.h"
} Lea_0169_0175;

Lea_0169_0175* Lea_0169_0175_Ctor( TsmBase* oParent );
void Lea_0169_0175_Initial( struct Lea_0169_0175Struct* this, TsmHandler* oHandler );
void Lea_0169_0175_Tra_0169_0179( struct Lea_0169_0175Struct* this, TsmHandler* oHandler );
void Lea_0169_0175_AtEntry( struct Lea_0169_0175Struct* this, TsmHandler* oHandler );
TsmBool Lea_0169_0175_ExecuteTransition( struct Lea_0169_0175Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Active >) */
typedef struct Reg_0168_0169Struct
{
#include "TsmRegion_fields.h"
  Lea_0169_0170* oLea_0169_0170; /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Active >> Starting ) */
  Lea_0169_0171* oLea_0169_0171; /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Active >> OutSync ) */
  Lea_0169_0172* oLea_0169_0172; /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Active >> Slow ) */
  Lea_0169_0173* oLea_0169_0173; /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Active >> Busy ) */
  Lea_0169_0174* oLea_0169_0174; /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Active >> Pausing ) */
  Lea_0169_0175* oLea_0169_0175; /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Active >> Test ) */
  TsmState* aStates[ 6 ];
} Reg_0168_0169;

Reg_0168_0169* Reg_0168_0169_Ctor( TsmBase* oParent );
void Reg_0168_0169_Tra_0165_0187( struct Reg_0168_0169Struct* this, TsmHandler* oHandler );
void Reg_0168_0169_Tra_0169_0179( struct Reg_0168_0169Struct* this, TsmHandler* oHandler );
void Reg_0168_0169_Tra_0169_0180( struct Reg_0168_0169Struct* this, TsmHandler* oHandler );
void Reg_0168_0169_Tra_0165_0186( struct Reg_0168_0169Struct* this, TsmHandler* oHandler );
void Reg_0168_0169_Tra_0169_0177( struct Reg_0168_0169Struct* this, TsmHandler* oHandler );
void Reg_0168_0169_Tra_0169_0181( struct Reg_0168_0169Struct* this, TsmHandler* oHandler );
void Reg_0168_0169_Tra_0169_0178( struct Reg_0168_0169Struct* this, TsmHandler* oHandler );
int Reg_0168_0169_GetProspect( struct Reg_0168_0169Struct* this, int PortId, int Command );
TsmBool Reg_0168_0169_ExecuteTransition( struct Reg_0168_0169Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Active ) */
typedef struct Com_0165_0168Struct
{
#include "TsmCompound_fields.h"
  const int* aNatives;
  Reg_0168_0169* oReg_0168_0169; /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Active >) */
  TsmRegion* aRegions[ 1 ];
  TsmTransition* aTransitions[ 1 ];
} Com_0165_0168;

Com_0165_0168* Com_0165_0168_Ctor( TsmBase* oParent );
void Com_0165_0168_Tra_0165_0187( struct Com_0165_0168Struct* this, TsmHandler* oHandler );
void Com_0165_0168_Tra_0165_0186( struct Com_0165_0168Struct* this, TsmHandler* oHandler );
void Com_0165_0168_AtEntry( struct Com_0165_0168Struct* this, TsmHandler* oHandler );
void Com_0165_0168_AtMyExit( struct Com_0165_0168Struct* this, TsmHandler* oHandler );
int Com_0165_0168_GetProspect( struct Com_0165_0168Struct* this, int PortId, int Command );
void Com_0165_0168_ExecuteTriggerCompound( struct Com_0165_0168Struct* this, TsmHandler* oHandler );
TsmBool Com_0165_0168_ExecuteTransition( struct Com_0165_0168Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Idle ) */
typedef struct Lea_0165_0183Struct
{
#include "TsmLeaf_fields.h"
  const int* aNatives;
  TsmTransition* aTransitions[ 1 ];
} Lea_0165_0183;

Lea_0165_0183* Lea_0165_0183_Ctor( TsmBase* oParent );
void Lea_0165_0183_Tra_0165_0185( struct Lea_0165_0183Struct* this, TsmHandler* oHandler );
void Lea_0165_0183_Initial( struct Lea_0165_0183Struct* this, TsmHandler* oHandler );
void Lea_0165_0183_Tra_0165_0188( struct Lea_0165_0183Struct* this, TsmHandler* oHandler );
void Lea_0165_0183_AtEntry( struct Lea_0165_0183Struct* this, TsmHandler* oHandler );
void Lea_0165_0183_AtExit( struct Lea_0165_0183Struct* this, TsmHandler* oHandler );
int Lea_0165_0183_GetProspect( struct Lea_0165_0183Struct* this, int PortId, int Command );
void Lea_0165_0183_ExecuteTrigger( struct Lea_0165_0183Struct* this, TsmHandler* oHandler );
TsmBool Lea_0165_0183_ExecuteTransition( struct Lea_0165_0183Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Stopping ) */
typedef struct Lea_0165_0184Struct
{
#include "TsmLeaf_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Lea_0165_0184;

Lea_0165_0184* Lea_0165_0184_Ctor( TsmBase* oParent );
void Lea_0165_0184_Initial( struct Lea_0165_0184Struct* this, TsmHandler* oHandler );
void Lea_0165_0184_Tra_0165_0189( struct Lea_0165_0184Struct* this, TsmHandler* oHandler );
void Lea_0165_0184_Port___CbStopped( struct Lea_0165_0184Struct* this, TsmHandler* oHandler );
void Lea_0165_0184_AtEntry( struct Lea_0165_0184Struct* this, TsmHandler* oHandler );
int Lea_0165_0184_GetProspect( struct Lea_0165_0184Struct* this, int PortId, int Command );
void Lea_0165_0184_ExecuteTrigger( struct Lea_0165_0184Struct* this, TsmHandler* oHandler );
TsmBool Lea_0165_0184_ExecuteTransition( struct Lea_0165_0184Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >) */
typedef struct Reg_0164_0165Struct
{
#include "TsmRegion_fields.h"
  Ini_0165_0166* oIni_0165_0166; /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> InitialState ) */
  Jun_0165_0167* oJun_0165_0167; /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> JuncState ) */
  Com_0165_0168* oCom_0165_0168; /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Active ) */
  Lea_0165_0183* oLea_0165_0183; /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Idle ) */
  Lea_0165_0184* oLea_0165_0184; /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Stopping ) */
  TsmState* aStates[ 5 ];
} Reg_0164_0165;

Reg_0164_0165* Reg_0164_0165_Ctor( TsmBase* oParent );
void Reg_0164_0165_Initial( struct Reg_0164_0165Struct* this, TsmHandler* oHandler );
void Reg_0164_0165_Tra_0165_0185( struct Reg_0164_0165Struct* this, TsmHandler* oHandler );
void Reg_0164_0165_Tra_0165_0187( struct Reg_0164_0165Struct* this, TsmHandler* oHandler );
void Reg_0164_0165_Tra_0165_0189( struct Reg_0164_0165Struct* this, TsmHandler* oHandler );
void Reg_0164_0165_Tra_0169_0176( struct Reg_0164_0165Struct* this, TsmHandler* oHandler );
void Reg_0164_0165_Tra_0165_0186( struct Reg_0164_0165Struct* this, TsmHandler* oHandler );
void Reg_0164_0165_Tra_0165_0188( struct Reg_0164_0165Struct* this, TsmHandler* oHandler );
int Reg_0164_0165_GetProspect( struct Reg_0164_0165Struct* this, int PortId, int Command );
TsmBool Reg_0164_0165_ExecuteTransition( struct Reg_0164_0165Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm ) */
typedef struct Fsm_0162_0164Struct
{
#include "TsmFsm_fields.h"
  Reg_0164_0165* oReg_0164_0165; /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >) */
  TsmRegion* aRegions[ 1 ];
} Fsm_0162_0164;

Fsm_0162_0164* Fsm_0162_0164_Ctor( TsmBase* oParent );
void Fsm_0162_0164_AtEntry( struct Fsm_0162_0164Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient ) */
typedef struct Cla_0161_0162Struct
{
#include "TsmProtocolClass_fields.h"
  Fsm_0162_0164* oFsm_0162_0164; /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm ) */
  TsmIPort_IHowlers* Port; /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > Port ) */
  TsmIPort_ICbHowlers* TsmPI__Port; /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > Port ) */
  TsmPCPort mPCMessager;
  TsmFsm* aFsms[ 1 ];
} Cla_0161_0162;

Cla_0161_0162* Cla_0161_0162_Ctor( TsmBase* oParent, char* sInstanceName );
TsmInterfacePort* Cla_0161_0162_GetProvidedInterface( struct Cla_0161_0162Struct* this, char* sPortName );
void Cla_0161_0162_SetRequiredInterface( struct Cla_0161_0162Struct* this, char* sPortName, TsmInterfacePort* oProvidedInterface );
void Cla_0161_0162_ExecuteTrigger( struct Cla_0161_0162Struct* this, TsmTrigger* oTrigger );
void Cla_0161_0162_Function_1012( struct Cla_0161_0162Struct* this, TsmHandler* oHandler );
void Cla_0161_0162_Function_1013( struct Cla_0161_0162Struct* this, TsmHandler* oHandler );
void Cla_0161_0162_Function_1014( struct Cla_0161_0162Struct* this, TsmHandler* oHandler );
void Cla_0161_0162_Function_1015( struct Cla_0161_0162Struct* this, TsmHandler* oHandler );
void Cla_0161_0162_Function_1016( struct Cla_0161_0162Struct* this, TsmHandler* oHandler );
void Cla_0161_0162_Function_1017( struct Cla_0161_0162Struct* this, TsmHandler* oHandler );
void Cla_0161_0162_TsmInitialise( struct Cla_0161_0162Struct* this, void* oObject );
void Cla_0161_0162_TsmConnect( struct Cla_0161_0162Struct* this, void* oObject );
void Cla_0161_0162_TsmPrepare( struct Cla_0161_0162Struct* this, void* oObject );
void Cla_0161_0162_Gtor( struct Cla_0161_0162Struct* this );

 /* ( Xmi > Data > Architecture > ExecEnv2 > Ui ) */
typedef struct Com_0003_0001Struct
{
#include "TsmPComponent_fields.h"
  TsmClass* aClasses[ 1 ];
  Cla_0161_0162* InsHowlersClient; /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > InsHowlersClient ) */
} Com_0003_0001;

Com_0003_0001* Com_0003_0001_Ctor( TsmBase* oParent, char* sInstanceName );
TsmInterfacePort* Com_0003_0001_GetProvidedInterface( struct Com_0003_0001Struct* this, char* sPortName );
void Com_0003_0001_SetRequiredInterface( struct Com_0003_0001Struct* this, char* sPortName, TsmInterfacePort* oProvidedInterface );

 /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > SlaveServerPsm >> InitialState ) */
typedef struct Ini_0149_0150Struct
{
#include "TsmPseudo_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Ini_0149_0150;

Ini_0149_0150* Ini_0149_0150_Ctor( TsmBase* oParent );
void Ini_0149_0150_Initial( struct Ini_0149_0150Struct* this, TsmHandler* oHandler );
void Ini_0149_0150_AtEntry( struct Ini_0149_0150Struct* this, TsmHandler* oHandler );
TsmBool Ini_0149_0150_ExecuteTransition( struct Ini_0149_0150Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > SlaveServerPsm >> Idle ) */
typedef struct Lea_0149_0151Struct
{
#include "TsmLeaf_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Lea_0149_0151;

Lea_0149_0151* Lea_0149_0151_Ctor( TsmBase* oParent );
void Lea_0149_0151_Tra_0149_0155( struct Lea_0149_0151Struct* this, TsmHandler* oHandler );
void Lea_0149_0151_Initial( struct Lea_0149_0151Struct* this, TsmHandler* oHandler );
void Lea_0149_0151_Tra_0149_0159( struct Lea_0149_0151Struct* this, TsmHandler* oHandler );
void Lea_0149_0151_Port___Start( struct Lea_0149_0151Struct* this, TsmHandler* oHandler );
void Lea_0149_0151_AtEntry( struct Lea_0149_0151Struct* this, TsmHandler* oHandler );
int Lea_0149_0151_GetProspect( struct Lea_0149_0151Struct* this, int PortId, int Command );
void Lea_0149_0151_ExecuteTrigger( struct Lea_0149_0151Struct* this, TsmHandler* oHandler );
TsmBool Lea_0149_0151_ExecuteTransition( struct Lea_0149_0151Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > SlaveServerPsm >> Starting ) */
typedef struct Lea_0149_0152Struct
{
#include "TsmLeaf_fields.h"
  const int* aNatives;
  TsmTransition* aTransitions[ 1 ];
} Lea_0149_0152;

Lea_0149_0152* Lea_0149_0152_Ctor( TsmBase* oParent );
void Lea_0149_0152_Initial( struct Lea_0149_0152Struct* this, TsmHandler* oHandler );
void Lea_0149_0152_Tra_0149_0156( struct Lea_0149_0152Struct* this, TsmHandler* oHandler );
void Lea_0149_0152_AtEntry( struct Lea_0149_0152Struct* this, TsmHandler* oHandler );
void Lea_0149_0152_AtExit( struct Lea_0149_0152Struct* this, TsmHandler* oHandler );
int Lea_0149_0152_GetProspect( struct Lea_0149_0152Struct* this, int PortId, int Command );
void Lea_0149_0152_ExecuteTrigger( struct Lea_0149_0152Struct* this, TsmHandler* oHandler );
TsmBool Lea_0149_0152_ExecuteTransition( struct Lea_0149_0152Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > SlaveServerPsm >> Busy ) */
typedef struct Lea_0149_0153Struct
{
#include "TsmLeaf_fields.h"
  const int* aNatives;
  TsmTransition* aTransitions[ 2 ];
} Lea_0149_0153;

Lea_0149_0153* Lea_0149_0153_Ctor( TsmBase* oParent );
void Lea_0149_0153_Initial( struct Lea_0149_0153Struct* this, TsmHandler* oHandler );
void Lea_0149_0153_Tra_0149_0157( struct Lea_0149_0153Struct* this, TsmHandler* oHandler );
void Lea_0149_0153_Tra_0149_0160( struct Lea_0149_0153Struct* this, TsmHandler* oHandler );
void Lea_0149_0153_Port___Stop( struct Lea_0149_0153Struct* this, TsmHandler* oHandler );
void Lea_0149_0153_AtEntry( struct Lea_0149_0153Struct* this, TsmHandler* oHandler );
void Lea_0149_0153_AtExit( struct Lea_0149_0153Struct* this, TsmHandler* oHandler );
int Lea_0149_0153_GetProspect( struct Lea_0149_0153Struct* this, int PortId, int Command );
void Lea_0149_0153_ExecuteTrigger( struct Lea_0149_0153Struct* this, TsmHandler* oHandler );
TsmBool Lea_0149_0153_ExecuteTransition( struct Lea_0149_0153Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > SlaveServerPsm >> Stopping ) */
typedef struct Lea_0149_0154Struct
{
#include "TsmLeaf_fields.h"
  const int* aNatives;
  TsmTransition* aTransitions[ 1 ];
} Lea_0149_0154;

Lea_0149_0154* Lea_0149_0154_Ctor( TsmBase* oParent );
void Lea_0149_0154_Initial( struct Lea_0149_0154Struct* this, TsmHandler* oHandler );
void Lea_0149_0154_Tra_0149_0158( struct Lea_0149_0154Struct* this, TsmHandler* oHandler );
void Lea_0149_0154_AtEntry( struct Lea_0149_0154Struct* this, TsmHandler* oHandler );
void Lea_0149_0154_AtExit( struct Lea_0149_0154Struct* this, TsmHandler* oHandler );
int Lea_0149_0154_GetProspect( struct Lea_0149_0154Struct* this, int PortId, int Command );
void Lea_0149_0154_ExecuteTrigger( struct Lea_0149_0154Struct* this, TsmHandler* oHandler );
TsmBool Lea_0149_0154_ExecuteTransition( struct Lea_0149_0154Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > SlaveServerPsm >) */
typedef struct Reg_0148_0149Struct
{
#include "TsmRegion_fields.h"
  Ini_0149_0150* oIni_0149_0150; /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > SlaveServerPsm >> InitialState ) */
  Lea_0149_0151* oLea_0149_0151; /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > SlaveServerPsm >> Idle ) */
  Lea_0149_0152* oLea_0149_0152; /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > SlaveServerPsm >> Starting ) */
  Lea_0149_0153* oLea_0149_0153; /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > SlaveServerPsm >> Busy ) */
  Lea_0149_0154* oLea_0149_0154; /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > SlaveServerPsm >> Stopping ) */
  TsmState* aStates[ 5 ];
} Reg_0148_0149;

Reg_0148_0149* Reg_0148_0149_Ctor( TsmBase* oParent );
void Reg_0148_0149_Initial( struct Reg_0148_0149Struct* this, TsmHandler* oHandler );
void Reg_0148_0149_Tra_0149_0155( struct Reg_0148_0149Struct* this, TsmHandler* oHandler );
void Reg_0148_0149_Tra_0149_0157( struct Reg_0148_0149Struct* this, TsmHandler* oHandler );
void Reg_0148_0149_Tra_0149_0159( struct Reg_0148_0149Struct* this, TsmHandler* oHandler );
void Reg_0148_0149_Tra_0149_0156( struct Reg_0148_0149Struct* this, TsmHandler* oHandler );
void Reg_0148_0149_Tra_0149_0158( struct Reg_0148_0149Struct* this, TsmHandler* oHandler );
int Reg_0148_0149_GetProspect( struct Reg_0148_0149Struct* this, int PortId, int Command );
TsmBool Reg_0148_0149_ExecuteTransition( struct Reg_0148_0149Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > SlaveServerPsm ) */
typedef struct Fsm_0146_0148Struct
{
#include "TsmFsm_fields.h"
  Reg_0148_0149* oReg_0148_0149; /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > SlaveServerPsm >) */
  TsmRegion* aRegions[ 1 ];
} Fsm_0146_0148;

Fsm_0146_0148* Fsm_0146_0148_Ctor( TsmBase* oParent );
void Fsm_0146_0148_AtEntry( struct Fsm_0146_0148Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer ) */
typedef struct Cla_0130_0146Struct
{
#include "TsmProtocolClass_fields.h"
  Fsm_0146_0148* oFsm_0146_0148; /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > SlaveServerPsm ) */
  TsmIPort_ISlave* TsmPI__Port; /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > Port ) */
  TsmIPort_ICbSlave* Port; /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > Port ) */
  TsmPSPort mPSMessager;
  TsmFsm* aFsms[ 1 ];
} Cla_0130_0146;

Cla_0130_0146* Cla_0130_0146_Ctor( TsmBase* oParent, char* sInstanceName );
TsmInterfacePort* Cla_0130_0146_GetProvidedInterface( struct Cla_0130_0146Struct* this, char* sPortName );
void Cla_0130_0146_SetRequiredInterface( struct Cla_0130_0146Struct* this, char* sPortName, TsmInterfacePort* oProvidedInterface );
void Cla_0130_0146_ExecuteTrigger( struct Cla_0130_0146Struct* this, TsmTrigger* oTrigger );
void Cla_0130_0146_Function_1009( struct Cla_0130_0146Struct* this, TsmHandler* oHandler );
void Cla_0130_0146_Function_1010( struct Cla_0130_0146Struct* this, TsmHandler* oHandler );
void Cla_0130_0146_Function_1011( struct Cla_0130_0146Struct* this, TsmHandler* oHandler );
void Cla_0130_0146_TsmInitialise( struct Cla_0130_0146Struct* this, void* oObject );
void Cla_0130_0146_TsmConnect( struct Cla_0130_0146Struct* this, void* oObject );
void Cla_0130_0146_TsmPrepare( struct Cla_0130_0146Struct* this, void* oObject );
void Cla_0130_0146_Gtor( struct Cla_0130_0146Struct* this );

 /* ( Xmi > Data > Architecture > ExecEnv2 > Slave ) */
typedef struct Com_0003_0003Struct
{
#include "TsmPComponent_fields.h"
  TsmClass* aClasses[ 1 ];
  Cla_0130_0146* InsSlaveServer; /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > InsSlaveServer ) */
} Com_0003_0003;

Com_0003_0003* Com_0003_0003_Ctor( TsmBase* oParent, char* sInstanceName );
TsmInterfacePort* Com_0003_0003_GetProvidedInterface( struct Com_0003_0003Struct* this, char* sPortName );
void Com_0003_0003_SetRequiredInterface( struct Com_0003_0003Struct* this, char* sPortName, TsmInterfacePort* oProvidedInterface );

 /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> InitialState ) */
typedef struct Ini_0070_0071Struct
{
#include "TsmPseudo_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Ini_0070_0071;

Ini_0070_0071* Ini_0070_0071_Ctor( TsmBase* oParent );
void Ini_0070_0071_Initial( struct Ini_0070_0071Struct* this, TsmHandler* oHandler );
void Ini_0070_0071_AtEntry( struct Ini_0070_0071Struct* this, TsmHandler* oHandler );
TsmBool Ini_0070_0071_ExecuteTransition( struct Ini_0070_0071Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> InitialState ) */
typedef struct Ini_0073_0074Struct
{
#include "TsmPseudo_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Ini_0073_0074;

Ini_0073_0074* Ini_0073_0074_Ctor( TsmBase* oParent );
void Ini_0073_0074_Initial( struct Ini_0073_0074Struct* this, TsmHandler* oHandler );
void Ini_0073_0074_AtEntry( struct Ini_0073_0074Struct* this, TsmHandler* oHandler );
TsmBool Ini_0073_0074_ExecuteTransition( struct Ini_0073_0074Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> JuncState ) */
typedef struct Jun_0073_0075Struct
{
#include "TsmPseudo_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Jun_0073_0075;

Jun_0073_0075* Jun_0073_0075_Ctor( TsmBase* oParent );
void Jun_0073_0075_Initial( struct Jun_0073_0075Struct* this, TsmHandler* oHandler );
void Jun_0073_0075_Tra_0073_0091( struct Jun_0073_0075Struct* this, TsmHandler* oHandler );
void Jun_0073_0075_AtEntry( struct Jun_0073_0075Struct* this, TsmHandler* oHandler );
TsmBool Jun_0073_0075_ExecuteTransition( struct Jun_0073_0075Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> Starting ) */
typedef struct Lea_0073_0076Struct
{
#include "TsmLeaf_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Lea_0073_0076;

Lea_0073_0076* Lea_0073_0076_Ctor( TsmBase* oParent );
void Lea_0073_0076_Tra_0073_0090( struct Lea_0073_0076Struct* this, TsmHandler* oHandler );
void Lea_0073_0076_Initial( struct Lea_0073_0076Struct* this, TsmHandler* oHandler );
void Lea_0073_0076_rp_slave___CbStarted( struct Lea_0073_0076Struct* this, TsmHandler* oHandler );
void Lea_0073_0076_AtEntry( struct Lea_0073_0076Struct* this, TsmHandler* oHandler );
int Lea_0073_0076_GetProspect( struct Lea_0073_0076Struct* this, int PortId, int Command );
void Lea_0073_0076_ExecuteTrigger( struct Lea_0073_0076Struct* this, TsmHandler* oHandler );
TsmBool Lea_0073_0076_ExecuteTransition( struct Lea_0073_0076Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> OutSync ) */
typedef struct Lea_0073_0077Struct
{
#include "TsmLeaf_fields.h"
} Lea_0073_0077;

Lea_0073_0077* Lea_0073_0077_Ctor( TsmBase* oParent );
void Lea_0073_0077_Initial( struct Lea_0073_0077Struct* this, TsmHandler* oHandler );
void Lea_0073_0077_Tra_0073_0084( struct Lea_0073_0077Struct* this, TsmHandler* oHandler );
void Lea_0073_0077_AtEntry( struct Lea_0073_0077Struct* this, TsmHandler* oHandler );
TsmBool Lea_0073_0077_ExecuteTransition( struct Lea_0073_0077Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> Slow ) */
typedef struct Lea_0073_0078Struct
{
#include "TsmLeaf_fields.h"
} Lea_0073_0078;

Lea_0073_0078* Lea_0073_0078_Ctor( TsmBase* oParent );
void Lea_0073_0078_Tra_0070_0105( struct Lea_0073_0078Struct* this, TsmHandler* oHandler );
void Lea_0073_0078_Initial( struct Lea_0073_0078Struct* this, TsmHandler* oHandler );
void Lea_0073_0078_AtEntry( struct Lea_0073_0078Struct* this, TsmHandler* oHandler );
TsmBool Lea_0073_0078_ExecuteTransition( struct Lea_0073_0078Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> Busy ) */
typedef struct Lea_0073_0079Struct
{
#include "TsmLeaf_fields.h"
  TsmTransition* aTransitions[ 4 ];
} Lea_0073_0079;

Lea_0073_0079* Lea_0073_0079_Ctor( TsmBase* oParent );
void Lea_0073_0079_Initial( struct Lea_0073_0079Struct* this, TsmHandler* oHandler );
void Lea_0073_0079_Tra_0073_0083( struct Lea_0073_0079Struct* this, TsmHandler* oHandler );
void Lea_0073_0079_pp_howlers___Pause( struct Lea_0073_0079Struct* this, TsmHandler* oHandler );
void Lea_0073_0079_pp_howlers___Slow( struct Lea_0073_0079Struct* this, TsmHandler* oHandler );
void Lea_0073_0079_pp_howlers___Test( struct Lea_0073_0079Struct* this, TsmHandler* oHandler );
void Lea_0073_0079_rp_slave___CbOutSync( struct Lea_0073_0079Struct* this, TsmHandler* oHandler );
void Lea_0073_0079_Tra_0073_0087( struct Lea_0073_0079Struct* this, TsmHandler* oHandler );
void Lea_0073_0079_AtEntry( struct Lea_0073_0079Struct* this, TsmHandler* oHandler );
int Lea_0073_0079_GetProspect( struct Lea_0073_0079Struct* this, int PortId, int Command );
void Lea_0073_0079_ExecuteTrigger( struct Lea_0073_0079Struct* this, TsmHandler* oHandler );
TsmBool Lea_0073_0079_ExecuteTransition( struct Lea_0073_0079Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> Pausing ) */
typedef struct Lea_0073_0080Struct
{
#include "TsmLeaf_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Lea_0073_0080;

Lea_0073_0080* Lea_0073_0080_Ctor( TsmBase* oParent );
void Lea_0073_0080_Initial( struct Lea_0073_0080Struct* this, TsmHandler* oHandler );
void Lea_0073_0080_Tra_0073_0086( struct Lea_0073_0080Struct* this, TsmHandler* oHandler );
void Lea_0073_0080_AtEntry( struct Lea_0073_0080Struct* this, TsmHandler* oHandler );
TsmBool Lea_0073_0080_ExecuteTransition( struct Lea_0073_0080Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> Test ) */
typedef struct Lea_0073_0081Struct
{
#include "TsmLeaf_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Lea_0073_0081;

Lea_0073_0081* Lea_0073_0081_Ctor( TsmBase* oParent );
void Lea_0073_0081_Initial( struct Lea_0073_0081Struct* this, TsmHandler* oHandler );
void Lea_0073_0081_Tra_0073_0085( struct Lea_0073_0081Struct* this, TsmHandler* oHandler );
void Lea_0073_0081_Tra_0073_0089( struct Lea_0073_0081Struct* this, TsmHandler* oHandler );
void Lea_0073_0081_AtEntry( struct Lea_0073_0081Struct* this, TsmHandler* oHandler );
TsmBool Lea_0073_0081_ExecuteTransition( struct Lea_0073_0081Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> Again ) */
typedef struct Lea_0073_0082Struct
{
#include "TsmLeaf_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Lea_0073_0082;

Lea_0073_0082* Lea_0073_0082_Ctor( TsmBase* oParent );
void Lea_0073_0082_Tra_0073_0088( struct Lea_0073_0082Struct* this, TsmHandler* oHandler );
void Lea_0073_0082_Initial( struct Lea_0073_0082Struct* this, TsmHandler* oHandler );
void Lea_0073_0082_rp_checker___CbChecked( struct Lea_0073_0082Struct* this, TsmHandler* oHandler );
void Lea_0073_0082_AtEntry( struct Lea_0073_0082Struct* this, TsmHandler* oHandler );
int Lea_0073_0082_GetProspect( struct Lea_0073_0082Struct* this, int PortId, int Command );
void Lea_0073_0082_ExecuteTrigger( struct Lea_0073_0082Struct* this, TsmHandler* oHandler );
TsmBool Lea_0073_0082_ExecuteTransition( struct Lea_0073_0082Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >) */
typedef struct Reg_0072_0073Struct
{
#include "TsmRegion_fields.h"
  Ini_0073_0074* oIni_0073_0074; /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> InitialState ) */
  Jun_0073_0075* oJun_0073_0075; /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> JuncState ) */
  Lea_0073_0076* oLea_0073_0076; /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> Starting ) */
  Lea_0073_0077* oLea_0073_0077; /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> OutSync ) */
  Lea_0073_0078* oLea_0073_0078; /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> Slow ) */
  Lea_0073_0079* oLea_0073_0079; /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> Busy ) */
  Lea_0073_0080* oLea_0073_0080; /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> Pausing ) */
  Lea_0073_0081* oLea_0073_0081; /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> Test ) */
  Lea_0073_0082* oLea_0073_0082; /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> Again ) */
  TsmState* aStates[ 9 ];
} Reg_0072_0073;

Reg_0072_0073* Reg_0072_0073_Ctor( TsmBase* oParent );
void Reg_0072_0073_Initial( struct Reg_0072_0073Struct* this, TsmHandler* oHandler );
void Reg_0072_0073_Tra_0073_0090( struct Reg_0072_0073Struct* this, TsmHandler* oHandler );
void Reg_0072_0073_Tra_0070_0105( struct Reg_0072_0073Struct* this, TsmHandler* oHandler );
void Reg_0072_0073_Tra_0073_0083( struct Reg_0072_0073Struct* this, TsmHandler* oHandler );
void Reg_0072_0073_Tra_0073_0088( struct Reg_0072_0073Struct* this, TsmHandler* oHandler );
void Reg_0072_0073_Tra_0073_0086( struct Reg_0072_0073Struct* this, TsmHandler* oHandler );
void Reg_0072_0073_Tra_0073_0091( struct Reg_0072_0073Struct* this, TsmHandler* oHandler );
void Reg_0072_0073_Tra_0073_0085( struct Reg_0072_0073Struct* this, TsmHandler* oHandler );
void Reg_0072_0073_Tra_0073_0084( struct Reg_0072_0073Struct* this, TsmHandler* oHandler );
void Reg_0072_0073_Tra_0073_0087( struct Reg_0072_0073Struct* this, TsmHandler* oHandler );
void Reg_0072_0073_Tra_0073_0089( struct Reg_0072_0073Struct* this, TsmHandler* oHandler );
int Reg_0072_0073_GetProspect( struct Reg_0072_0073Struct* this, int PortId, int Command );
TsmBool Reg_0072_0073_ExecuteTransition( struct Reg_0072_0073Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> InitialState ) */
typedef struct Ini_0092_0093Struct
{
#include "TsmPseudo_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Ini_0092_0093;

Ini_0092_0093* Ini_0092_0093_Ctor( TsmBase* oParent );
void Ini_0092_0093_Initial( struct Ini_0092_0093Struct* this, TsmHandler* oHandler );
void Ini_0092_0093_AtEntry( struct Ini_0092_0093Struct* this, TsmHandler* oHandler );
TsmBool Ini_0092_0093_ExecuteTransition( struct Ini_0092_0093Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> Wait ) */
typedef struct Lea_0092_0094Struct
{
#include "TsmLeaf_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Lea_0092_0094;

Lea_0092_0094* Lea_0092_0094_Ctor( TsmBase* oParent );
void Lea_0092_0094_Tra_0092_0096( struct Lea_0092_0094Struct* this, TsmHandler* oHandler );
void Lea_0092_0094_Initial( struct Lea_0092_0094Struct* this, TsmHandler* oHandler );
void Lea_0092_0094_rp_slave___CbStarted( struct Lea_0092_0094Struct* this, TsmHandler* oHandler );
void Lea_0092_0094_AtEntry( struct Lea_0092_0094Struct* this, TsmHandler* oHandler );
int Lea_0092_0094_GetProspect( struct Lea_0092_0094Struct* this, int PortId, int Command );
void Lea_0092_0094_ExecuteTrigger( struct Lea_0092_0094Struct* this, TsmHandler* oHandler );
TsmBool Lea_0092_0094_ExecuteTransition( struct Lea_0092_0094Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> Info ) */
typedef struct Lea_0092_0095Struct
{
#include "TsmLeaf_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Lea_0092_0095;

Lea_0092_0095* Lea_0092_0095_Ctor( TsmBase* oParent );
void Lea_0092_0095_Initial( struct Lea_0092_0095Struct* this, TsmHandler* oHandler );
void Lea_0092_0095_Tra_0092_0098( struct Lea_0092_0095Struct* this, TsmHandler* oHandler );
void Lea_0092_0095_pp_howlers___GetInfo( struct Lea_0092_0095Struct* this, TsmHandler* oHandler );
void Lea_0092_0095_Tra_0092_0097( struct Lea_0092_0095Struct* this, TsmHandler* oHandler );
void Lea_0092_0095_AtEntry( struct Lea_0092_0095Struct* this, TsmHandler* oHandler );
int Lea_0092_0095_GetProspect( struct Lea_0092_0095Struct* this, int PortId, int Command );
void Lea_0092_0095_ExecuteTrigger( struct Lea_0092_0095Struct* this, TsmHandler* oHandler );
TsmBool Lea_0092_0095_ExecuteTransition( struct Lea_0092_0095Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >) */
typedef struct Reg_0072_0092Struct
{
#include "TsmRegion_fields.h"
  Ini_0092_0093* oIni_0092_0093; /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> InitialState ) */
  Lea_0092_0094* oLea_0092_0094; /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> Wait ) */
  Lea_0092_0095* oLea_0092_0095; /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> Info ) */
  TsmState* aStates[ 3 ];
} Reg_0072_0092;

Reg_0072_0092* Reg_0072_0092_Ctor( TsmBase* oParent );
void Reg_0072_0092_Initial( struct Reg_0072_0092Struct* this, TsmHandler* oHandler );
void Reg_0072_0092_Tra_0092_0096( struct Reg_0072_0092Struct* this, TsmHandler* oHandler );
void Reg_0072_0092_Tra_0092_0097( struct Reg_0072_0092Struct* this, TsmHandler* oHandler );
int Reg_0072_0092_GetProspect( struct Reg_0072_0092Struct* this, int PortId, int Command );
TsmBool Reg_0072_0092_ExecuteTransition( struct Reg_0072_0092Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active ) */
typedef struct Com_0070_0072Struct
{
#include "TsmCompound_fields.h"
  Reg_0072_0073* oReg_0072_0073; /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >) */
  Reg_0072_0092* oReg_0072_0092; /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >) */
  TsmRegion* aRegions[ 2 ];
  TsmTransition* aTransitions[ 1 ];
} Com_0070_0072;

Com_0070_0072* Com_0070_0072_Ctor( TsmBase* oParent );
void Com_0070_0072_Tra_0070_0104( struct Com_0070_0072Struct* this, TsmHandler* oHandler );
void Com_0070_0072_pp_howlers___Stop( struct Com_0070_0072Struct* this, TsmHandler* oHandler );
void Com_0070_0072_AtEntry( struct Com_0070_0072Struct* this, TsmHandler* oHandler );
int Com_0070_0072_GetProspect( struct Com_0070_0072Struct* this, int PortId, int Command );
void Com_0070_0072_ExecuteTriggerCompound( struct Com_0070_0072Struct* this, TsmHandler* oHandler );
TsmBool Com_0070_0072_ExecuteTransition( struct Com_0070_0072Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Idle ) */
typedef struct Lea_0070_0099Struct
{
#include "TsmLeaf_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Lea_0070_0099;

Lea_0070_0099* Lea_0070_0099_Ctor( TsmBase* oParent );
void Lea_0070_0099_Tra_0070_0101( struct Lea_0070_0099Struct* this, TsmHandler* oHandler );
void Lea_0070_0099_Initial( struct Lea_0070_0099Struct* this, TsmHandler* oHandler );
void Lea_0070_0099_pp_howlers___Start( struct Lea_0070_0099Struct* this, TsmHandler* oHandler );
void Lea_0070_0099_Tra_0070_0102( struct Lea_0070_0099Struct* this, TsmHandler* oHandler );
void Lea_0070_0099_AtEntry( struct Lea_0070_0099Struct* this, TsmHandler* oHandler );
int Lea_0070_0099_GetProspect( struct Lea_0070_0099Struct* this, int PortId, int Command );
void Lea_0070_0099_ExecuteTrigger( struct Lea_0070_0099Struct* this, TsmHandler* oHandler );
TsmBool Lea_0070_0099_ExecuteTransition( struct Lea_0070_0099Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Stopping ) */
typedef struct Lea_0070_0100Struct
{
#include "TsmLeaf_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Lea_0070_0100;

Lea_0070_0100* Lea_0070_0100_Ctor( TsmBase* oParent );
void Lea_0070_0100_Initial( struct Lea_0070_0100Struct* this, TsmHandler* oHandler );
void Lea_0070_0100_Tra_0070_0103( struct Lea_0070_0100Struct* this, TsmHandler* oHandler );
void Lea_0070_0100_rp_slave___CbStopped( struct Lea_0070_0100Struct* this, TsmHandler* oHandler );
void Lea_0070_0100_AtEntry( struct Lea_0070_0100Struct* this, TsmHandler* oHandler );
int Lea_0070_0100_GetProspect( struct Lea_0070_0100Struct* this, int PortId, int Command );
void Lea_0070_0100_ExecuteTrigger( struct Lea_0070_0100Struct* this, TsmHandler* oHandler );
TsmBool Lea_0070_0100_ExecuteTransition( struct Lea_0070_0100Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >) */
typedef struct Reg_0069_0070Struct
{
#include "TsmRegion_fields.h"
  Ini_0070_0071* oIni_0070_0071; /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> InitialState ) */
  Com_0070_0072* oCom_0070_0072; /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active ) */
  Lea_0070_0099* oLea_0070_0099; /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Idle ) */
  Lea_0070_0100* oLea_0070_0100; /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Stopping ) */
  TsmState* aStates[ 4 ];
} Reg_0069_0070;

Reg_0069_0070* Reg_0069_0070_Ctor( TsmBase* oParent );
void Reg_0069_0070_Initial( struct Reg_0069_0070Struct* this, TsmHandler* oHandler );
void Reg_0069_0070_Tra_0070_0101( struct Reg_0069_0070Struct* this, TsmHandler* oHandler );
void Reg_0069_0070_Tra_0070_0104( struct Reg_0069_0070Struct* this, TsmHandler* oHandler );
void Reg_0069_0070_Tra_0070_0103( struct Reg_0069_0070Struct* this, TsmHandler* oHandler );
void Reg_0069_0070_Tra_0070_0102( struct Reg_0069_0070Struct* this, TsmHandler* oHandler );
int Reg_0069_0070_GetProspect( struct Reg_0069_0070Struct* this, int PortId, int Command );
TsmBool Reg_0069_0070_ExecuteTransition( struct Reg_0069_0070Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm ) */
typedef struct Fsm_0065_0069Struct
{
#include "TsmFsm_fields.h"
  Reg_0069_0070* oReg_0069_0070; /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >) */
  TsmRegion* aRegions[ 1 ];
} Fsm_0065_0069;

Fsm_0065_0069* Fsm_0065_0069_Ctor( TsmBase* oParent );
void Fsm_0065_0069_AtEntry( struct Fsm_0065_0069Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass ) */
typedef struct Cla_0063_0065Struct
{
#include "TsmClass_fields.h"
  Fsm_0065_0069* oFsm_0065_0069; /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm ) */
  TsmIPort_IHowlers* TsmPI__pp_howlers; /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > pp_howlers ) */
  TsmIPort_ICbHowlers* pp_howlers; /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > pp_howlers ) */
  TsmIPort_ISlave* rp_slave; /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > rp_slave ) */
  TsmIPort_ICbSlave* TsmPI__rp_slave; /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > rp_slave ) */
  TsmIPort_IChecker* rp_checker; /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > rp_checker ) */
  TsmIPort_ICbChecker* TsmPI__rp_checker; /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > rp_checker ) */
  TsmPSPort mPSMessager;
  TsmPCPort mPCMessager;
  TsmFsm* aFsms[ 1 ];
} Cla_0063_0065;

Cla_0063_0065* Cla_0063_0065_Ctor( TsmBase* oParent, char* sInstanceName );
TsmInterfacePort* Cla_0063_0065_GetProvidedInterface( struct Cla_0063_0065Struct* this, char* sPortName );
void Cla_0063_0065_SetRequiredInterface( struct Cla_0063_0065Struct* this, char* sPortName, TsmInterfacePort* oProvidedInterface );
void Cla_0063_0065_ExecuteTrigger( struct Cla_0063_0065Struct* this, TsmTrigger* oTrigger );
void Cla_0063_0065_Function_1002( struct Cla_0063_0065Struct* this, TsmHandler* oHandler );
void Cla_0063_0065_Function_1003( struct Cla_0063_0065Struct* this, TsmHandler* oHandler );
void Cla_0063_0065_Function_1004( struct Cla_0063_0065Struct* this, TsmHandler* oHandler );
void Cla_0063_0065_Function_1022( struct Cla_0063_0065Struct* this, TsmHandler* oHandler );
void Cla_0063_0065_Function_1023( struct Cla_0063_0065Struct* this, TsmHandler* oHandler );
void Cla_0063_0065_Function_1024( struct Cla_0063_0065Struct* this, TsmHandler* oHandler );
void Cla_0063_0065_Function_1025( struct Cla_0063_0065Struct* this, TsmHandler* oHandler );
void Cla_0063_0065_Function_1026( struct Cla_0063_0065Struct* this, TsmHandler* oHandler );
void Cla_0063_0065_Function_1027( struct Cla_0063_0065Struct* this, TsmHandler* oHandler );
void Cla_0063_0065_TsmInitialise( struct Cla_0063_0065Struct* this, void* oObject );
void Cla_0063_0065_TsmConnect( struct Cla_0063_0065Struct* this, void* oObject );
void Cla_0063_0065_TsmPrepare( struct Cla_0063_0065Struct* this, void* oObject );
void Cla_0063_0065_Gtor( struct Cla_0063_0065Struct* this );

 /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent ) */
typedef struct Com_0018_0063Struct
{
#include "TsmPComponent_fields.h"
  TsmClass* aClasses[ 1 ];
  Cla_0063_0065* Howlers; /* ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > Howlers ) */
} Com_0018_0063;

Com_0018_0063* Com_0018_0063_Ctor( TsmBase* oParent, char* sInstanceName );
TsmInterfacePort* Com_0018_0063_GetProvidedInterface( struct Com_0018_0063Struct* this, char* sPortName );
void Com_0018_0063_SetRequiredInterface( struct Com_0018_0063Struct* this, char* sPortName, TsmInterfacePort* oProvidedInterface );

 /* ( Xmi > Data > Repository > HowlersPackage > System2 ) */
typedef struct Com_0018_0106Struct
{
#include "TsmLComponent_fields.h"
  TsmComponent* aComponents[ 1 ];
  Com_0018_0063* Howlers; /* ( Xmi > Data > Repository > HowlersPackage > System2 > Howlers ) */
} Com_0018_0106;

Com_0018_0106* Com_0018_0106_Ctor( TsmBase* oParent, char* sInstanceName );
TsmInterfacePort* Com_0018_0106_GetProvidedInterface( struct Com_0018_0106Struct* this, char* sPortName );
void Com_0018_0106_SetRequiredInterface( struct Com_0018_0106Struct* this, char* sPortName, TsmInterfacePort* oProvidedInterface );

 /* ( Xmi > Data > Protocols > CheckerProtocol > CheckerServer > CheckerServerPsm >> InitialState ) */
typedef struct Ini_0113_0114Struct
{
#include "TsmPseudo_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Ini_0113_0114;

Ini_0113_0114* Ini_0113_0114_Ctor( TsmBase* oParent );
void Ini_0113_0114_Initial( struct Ini_0113_0114Struct* this, TsmHandler* oHandler );
void Ini_0113_0114_AtEntry( struct Ini_0113_0114Struct* this, TsmHandler* oHandler );
TsmBool Ini_0113_0114_ExecuteTransition( struct Ini_0113_0114Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > CheckerProtocol > CheckerServer > CheckerServerPsm >> Idle ) */
typedef struct Lea_0113_0115Struct
{
#include "TsmLeaf_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Lea_0113_0115;

Lea_0113_0115* Lea_0113_0115_Ctor( TsmBase* oParent );
void Lea_0113_0115_Tra_0113_0117( struct Lea_0113_0115Struct* this, TsmHandler* oHandler );
void Lea_0113_0115_Initial( struct Lea_0113_0115Struct* this, TsmHandler* oHandler );
void Lea_0113_0115_Tra_0113_0119( struct Lea_0113_0115Struct* this, TsmHandler* oHandler );
void Lea_0113_0115_Port___Check( struct Lea_0113_0115Struct* this, TsmHandler* oHandler );
void Lea_0113_0115_AtEntry( struct Lea_0113_0115Struct* this, TsmHandler* oHandler );
int Lea_0113_0115_GetProspect( struct Lea_0113_0115Struct* this, int PortId, int Command );
void Lea_0113_0115_ExecuteTrigger( struct Lea_0113_0115Struct* this, TsmHandler* oHandler );
TsmBool Lea_0113_0115_ExecuteTransition( struct Lea_0113_0115Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > CheckerProtocol > CheckerServer > CheckerServerPsm >> Checking ) */
typedef struct Lea_0113_0116Struct
{
#include "TsmLeaf_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Lea_0113_0116;

Lea_0113_0116* Lea_0113_0116_Ctor( TsmBase* oParent );
void Lea_0113_0116_Initial( struct Lea_0113_0116Struct* this, TsmHandler* oHandler );
void Lea_0113_0116_Tra_0113_0118( struct Lea_0113_0116Struct* this, TsmHandler* oHandler );
void Lea_0113_0116_AtEntry( struct Lea_0113_0116Struct* this, TsmHandler* oHandler );
TsmBool Lea_0113_0116_ExecuteTransition( struct Lea_0113_0116Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > CheckerProtocol > CheckerServer > CheckerServerPsm >) */
typedef struct Reg_0112_0113Struct
{
#include "TsmRegion_fields.h"
  Ini_0113_0114* oIni_0113_0114; /* ( Xmi > Data > Protocols > CheckerProtocol > CheckerServer > CheckerServerPsm >> InitialState ) */
  Lea_0113_0115* oLea_0113_0115; /* ( Xmi > Data > Protocols > CheckerProtocol > CheckerServer > CheckerServerPsm >> Idle ) */
  Lea_0113_0116* oLea_0113_0116; /* ( Xmi > Data > Protocols > CheckerProtocol > CheckerServer > CheckerServerPsm >> Checking ) */
  TsmState* aStates[ 3 ];
} Reg_0112_0113;

Reg_0112_0113* Reg_0112_0113_Ctor( TsmBase* oParent );
void Reg_0112_0113_Initial( struct Reg_0112_0113Struct* this, TsmHandler* oHandler );
void Reg_0112_0113_Tra_0113_0117( struct Reg_0112_0113Struct* this, TsmHandler* oHandler );
void Reg_0112_0113_Tra_0113_0119( struct Reg_0112_0113Struct* this, TsmHandler* oHandler );
void Reg_0112_0113_Tra_0113_0118( struct Reg_0112_0113Struct* this, TsmHandler* oHandler );
int Reg_0112_0113_GetProspect( struct Reg_0112_0113Struct* this, int PortId, int Command );
TsmBool Reg_0112_0113_ExecuteTransition( struct Reg_0112_0113Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > CheckerProtocol > CheckerServer > CheckerServerPsm ) */
typedef struct Fsm_0110_0112Struct
{
#include "TsmFsm_fields.h"
  Reg_0112_0113* oReg_0112_0113; /* ( Xmi > Data > Protocols > CheckerProtocol > CheckerServer > CheckerServerPsm >) */
  TsmRegion* aRegions[ 1 ];
} Fsm_0110_0112;

Fsm_0110_0112* Fsm_0110_0112_Ctor( TsmBase* oParent );
void Fsm_0110_0112_AtEntry( struct Fsm_0110_0112Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > CheckerProtocol > CheckerServer ) */
typedef struct Cla_0109_0110Struct
{
#include "TsmProtocolClass_fields.h"
  Fsm_0110_0112* oFsm_0110_0112; /* ( Xmi > Data > Protocols > CheckerProtocol > CheckerServer > CheckerServerPsm ) */
  TsmIPort_IChecker* TsmPI__Port; /* ( Xmi > Data > Protocols > CheckerProtocol > CheckerServer > Port ) */
  TsmIPort_ICbChecker* Port; /* ( Xmi > Data > Protocols > CheckerProtocol > CheckerServer > Port ) */
  TsmPSPort mPSMessager;
  TsmFsm* aFsms[ 1 ];
} Cla_0109_0110;

Cla_0109_0110* Cla_0109_0110_Ctor( TsmBase* oParent, char* sInstanceName );
TsmInterfacePort* Cla_0109_0110_GetProvidedInterface( struct Cla_0109_0110Struct* this, char* sPortName );
void Cla_0109_0110_SetRequiredInterface( struct Cla_0109_0110Struct* this, char* sPortName, TsmInterfacePort* oProvidedInterface );
void Cla_0109_0110_ExecuteTrigger( struct Cla_0109_0110Struct* this, TsmTrigger* oTrigger );
void Cla_0109_0110_Function_1005( struct Cla_0109_0110Struct* this, TsmHandler* oHandler );
void Cla_0109_0110_TsmInitialise( struct Cla_0109_0110Struct* this, void* oObject );
void Cla_0109_0110_TsmConnect( struct Cla_0109_0110Struct* this, void* oObject );
void Cla_0109_0110_TsmPrepare( struct Cla_0109_0110Struct* this, void* oObject );
void Cla_0109_0110_Gtor( struct Cla_0109_0110Struct* this );

 /* ( Xmi > Data > Architecture > ExecEnv2 > Checker ) */
typedef struct Com_0003_0005Struct
{
#include "TsmPComponent_fields.h"
  TsmClass* aClasses[ 1 ];
  Cla_0109_0110* InsCheckerServer; /* ( Xmi > Data > Protocols > CheckerProtocol > CheckerServer > InsCheckerServer ) */
} Com_0003_0005;

Com_0003_0005* Com_0003_0005_Ctor( TsmBase* oParent, char* sInstanceName );
TsmInterfacePort* Com_0003_0005_GetProvidedInterface( struct Com_0003_0005Struct* this, char* sPortName );
void Com_0003_0005_SetRequiredInterface( struct Com_0003_0005Struct* this, char* sPortName, TsmInterfacePort* oProvidedInterface );

 /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> InitialState ) */
typedef struct Ini_0024_0025Struct
{
#include "TsmPseudo_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Ini_0024_0025;

Ini_0024_0025* Ini_0024_0025_Ctor( TsmBase* oParent );
void Ini_0024_0025_Initial( struct Ini_0024_0025Struct* this, TsmHandler* oHandler );
void Ini_0024_0025_AtEntry( struct Ini_0024_0025Struct* this, TsmHandler* oHandler );
TsmBool Ini_0024_0025_ExecuteTransition( struct Ini_0024_0025Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm > SubFsm >> InitialState ) */
typedef struct Ini_0049_0050Struct
{
#include "TsmPseudo_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Ini_0049_0050;

Ini_0049_0050* Ini_0049_0050_Ctor( TsmBase* oParent );
void Ini_0049_0050_Initial( struct Ini_0049_0050Struct* this, TsmHandler* oHandler );
void Ini_0049_0050_AtEntry( struct Ini_0049_0050Struct* this, TsmHandler* oHandler );
TsmBool Ini_0049_0050_ExecuteTransition( struct Ini_0049_0050Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm > SubFsm >> FinalState ) */
typedef struct Fin_0049_0051Struct
{
#include "TsmFinal_fields.h"
} Fin_0049_0051;

Fin_0049_0051* Fin_0049_0051_Ctor( TsmBase* oParent );
void Fin_0049_0051_Tra_0049_0055( struct Fin_0049_0051Struct* this, TsmHandler* oHandler );
void Fin_0049_0051_AtEntry( struct Fin_0049_0051Struct* this, TsmHandler* oHandler );
TsmBool Fin_0049_0051_ExecuteTransition( struct Fin_0049_0051Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm > SubFsm >> NoWait ) */
typedef struct Lea_0049_0052Struct
{
#include "TsmLeaf_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Lea_0049_0052;

Lea_0049_0052* Lea_0049_0052_Ctor( TsmBase* oParent );
void Lea_0049_0052_Tra_0049_0054( struct Lea_0049_0052Struct* this, TsmHandler* oHandler );
void Lea_0049_0052_Initial( struct Lea_0049_0052Struct* this, TsmHandler* oHandler );
void Lea_0049_0052_AtEntry( struct Lea_0049_0052Struct* this, TsmHandler* oHandler );
TsmBool Lea_0049_0052_ExecuteTransition( struct Lea_0049_0052Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm > SubFsm >> Again ) */
typedef struct Lea_0049_0053Struct
{
#include "TsmLeaf_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Lea_0049_0053;

Lea_0049_0053* Lea_0049_0053_Ctor( TsmBase* oParent );
void Lea_0049_0053_Initial( struct Lea_0049_0053Struct* this, TsmHandler* oHandler );
void Lea_0049_0053_Tra_0049_0056( struct Lea_0049_0053Struct* this, TsmHandler* oHandler );
void Lea_0049_0053_AtEntry( struct Lea_0049_0053Struct* this, TsmHandler* oHandler );
TsmBool Lea_0049_0053_ExecuteTransition( struct Lea_0049_0053Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm > SubFsm >) */
typedef struct Reg_0048_0049Struct
{
#include "TsmRegion_fields.h"
  Ini_0049_0050* oIni_0049_0050; /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm > SubFsm >> InitialState ) */
  Fin_0049_0051* oFin_0049_0051; /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm > SubFsm >> FinalState ) */
  Lea_0049_0052* oLea_0049_0052; /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm > SubFsm >> NoWait ) */
  Lea_0049_0053* oLea_0049_0053; /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm > SubFsm >> Again ) */
  TsmState* aStates[ 4 ];
} Reg_0048_0049;

Reg_0048_0049* Reg_0048_0049_Ctor( TsmBase* oParent );
void Reg_0048_0049_Initial( struct Reg_0048_0049Struct* this, TsmHandler* oHandler );
void Reg_0048_0049_Tra_0049_0054( struct Reg_0048_0049Struct* this, TsmHandler* oHandler );
void Reg_0048_0049_Tra_0049_0055( struct Reg_0048_0049Struct* this, TsmHandler* oHandler );
void Reg_0048_0049_Tra_0049_0056( struct Reg_0048_0049Struct* this, TsmHandler* oHandler );
TsmBool Reg_0048_0049_ExecuteTransition( struct Reg_0048_0049Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm > SubFsm > Entry1 ) */
typedef struct Con_0048_0058Struct
{
#include "TsmState_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Con_0048_0058;

Con_0048_0058* Con_0048_0058_Ctor( TsmBase* oParent );
void Con_0048_0058_Initial( struct Con_0048_0058Struct* this, TsmHandler* oHandler );
void Con_0048_0058_AtEntry( struct Con_0048_0058Struct* this, TsmHandler* oHandler );
TsmBool Con_0048_0058_ExecuteTransition( struct Con_0048_0058Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm > SubFsm ) */
typedef struct Fsm_0023_0048Struct
{
#include "TsmFsm_fields.h"
  Reg_0048_0049* oReg_0048_0049; /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm > SubFsm >) */
  Con_0048_0058* oCon_0048_0058; /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm > SubFsm > Entry1 ) */
  TsmRegion* aRegions[ 1 ];
} Fsm_0023_0048;

Fsm_0023_0048* Fsm_0023_0048_Ctor( TsmBase* oParent );
void Fsm_0023_0048_Entrypoint( struct Fsm_0023_0048Struct* this, TsmHandler* oHandler );
void Fsm_0023_0048_Tra_0049_0057( struct Fsm_0023_0048Struct* this, TsmHandler* oHandler );
void Fsm_0023_0048_Tra_0049_0056( struct Fsm_0023_0048Struct* this, TsmHandler* oHandler );
void Fsm_0023_0048_AtEntry( struct Fsm_0023_0048Struct* this, TsmHandler* oHandler );
TsmBool Fsm_0023_0048_ExecuteTransition( struct Fsm_0023_0048Struct* this, TsmHandler* oHandler );
void Fsm_0023_0048_Gtor( struct Fsm_0023_0048Struct* this );

 /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> SF_1 ) */
typedef struct Sub_0024_0026Struct
{
#include "TsmSubFsm_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Sub_0024_0026;

Sub_0024_0026* Sub_0024_0026_Ctor( TsmBase* oParent );
void Sub_0024_0026_ExecuteTriggerless( struct Sub_0024_0026Struct* this, TsmHandler* oHandler );
void Sub_0024_0026_Tra_0024_0043( struct Sub_0024_0026Struct* this, TsmHandler* oHandler );
void Sub_0024_0026_AtEntry( struct Sub_0024_0026Struct* this, TsmHandler* oHandler );
TsmBool Sub_0024_0026_ExecuteTransition( struct Sub_0024_0026Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> SF_2 > ConnEntryRef ) */
typedef struct Con_0027_0028Struct
{
#include "TsmState_fields.h"
} Con_0027_0028;

Con_0027_0028* Con_0027_0028_Ctor( TsmBase* oParent );
void Con_0027_0028_AtEntry( struct Con_0027_0028Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> SF_2 > ConnExitRef ) */
typedef struct Con_0027_0029Struct
{
#include "TsmState_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Con_0027_0029;

Con_0027_0029* Con_0027_0029_Ctor( TsmBase* oParent );
void Con_0027_0029_Initial( struct Con_0027_0029Struct* this, TsmHandler* oHandler );
void Con_0027_0029_AtEntry( struct Con_0027_0029Struct* this, TsmHandler* oHandler );
TsmBool Con_0027_0029_ExecuteTransition( struct Con_0027_0029Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> SF_2 ) */
typedef struct Sub_0024_0027Struct
{
#include "TsmSubFsm_fields.h"
  Con_0027_0029* oCon_0027_0029; /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> SF_2 > ConnExitRef ) */
} Sub_0024_0027;

Sub_0024_0027* Sub_0024_0027_Ctor( TsmBase* oParent );
void Sub_0024_0027_Tra_0024_0044( struct Sub_0024_0027Struct* this, TsmHandler* oHandler );
void Sub_0024_0027_AtEntry( struct Sub_0024_0027Struct* this, TsmHandler* oHandler );
TsmBool Sub_0024_0027_ExecuteTransition( struct Sub_0024_0027Struct* this, TsmHandler* oHandler );
void Sub_0024_0027_Gtor( struct Sub_0024_0027Struct* this );

 /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> Composite >> InitialState ) */
typedef struct Ini_0031_0032Struct
{
#include "TsmPseudo_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Ini_0031_0032;

Ini_0031_0032* Ini_0031_0032_Ctor( TsmBase* oParent );
void Ini_0031_0032_Initial( struct Ini_0031_0032Struct* this, TsmHandler* oHandler );
void Ini_0031_0032_AtEntry( struct Ini_0031_0032Struct* this, TsmHandler* oHandler );
TsmBool Ini_0031_0032_ExecuteTransition( struct Ini_0031_0032Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> Composite >> FinalState ) */
typedef struct Fin_0031_0033Struct
{
#include "TsmFinal_fields.h"
} Fin_0031_0033;

Fin_0031_0033* Fin_0031_0033_Ctor( TsmBase* oParent );
void Fin_0031_0033_Tra_0031_0036( struct Fin_0031_0033Struct* this, TsmHandler* oHandler );
void Fin_0031_0033_AtEntry( struct Fin_0031_0033Struct* this, TsmHandler* oHandler );
TsmBool Fin_0031_0033_ExecuteTransition( struct Fin_0031_0033Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> Composite >> Leaf ) */
typedef struct Lea_0031_0034Struct
{
#include "TsmLeaf_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Lea_0031_0034;

Lea_0031_0034* Lea_0031_0034_Ctor( TsmBase* oParent );
void Lea_0031_0034_Tra_0031_0035( struct Lea_0031_0034Struct* this, TsmHandler* oHandler );
void Lea_0031_0034_Initial( struct Lea_0031_0034Struct* this, TsmHandler* oHandler );
void Lea_0031_0034_AtEntry( struct Lea_0031_0034Struct* this, TsmHandler* oHandler );
TsmBool Lea_0031_0034_ExecuteTransition( struct Lea_0031_0034Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> Composite >) */
typedef struct Reg_0030_0031Struct
{
#include "TsmRegion_fields.h"
  Ini_0031_0032* oIni_0031_0032; /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> Composite >> InitialState ) */
  Fin_0031_0033* oFin_0031_0033; /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> Composite >> FinalState ) */
  Lea_0031_0034* oLea_0031_0034; /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> Composite >> Leaf ) */
  TsmState* aStates[ 3 ];
} Reg_0030_0031;

Reg_0030_0031* Reg_0030_0031_Ctor( TsmBase* oParent );
void Reg_0030_0031_Initial( struct Reg_0030_0031Struct* this, TsmHandler* oHandler );
void Reg_0030_0031_Tra_0031_0035( struct Reg_0030_0031Struct* this, TsmHandler* oHandler );
void Reg_0030_0031_Tra_0031_0036( struct Reg_0030_0031Struct* this, TsmHandler* oHandler );
TsmBool Reg_0030_0031_ExecuteTransition( struct Reg_0030_0031Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> Composite ) */
typedef struct Com_0024_0030Struct
{
#include "TsmCompound_fields.h"
  Reg_0030_0031* oReg_0030_0031; /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> Composite >) */
  TsmRegion* aRegions[ 1 ];
  TsmTransition* aTransitions[ 1 ];
} Com_0024_0030;

Com_0024_0030* Com_0024_0030_Ctor( TsmBase* oParent );
void Com_0024_0030_ExecuteTriggerless( struct Com_0024_0030Struct* this, TsmHandler* oHandler );
void Com_0024_0030_Tra_0024_0047( struct Com_0024_0030Struct* this, TsmHandler* oHandler );
void Com_0024_0030_AtEntry( struct Com_0024_0030Struct* this, TsmHandler* oHandler );
TsmBool Com_0024_0030_ExecuteTransition( struct Com_0024_0030Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> Idle ) */
typedef struct Lea_0024_0037Struct
{
#include "TsmLeaf_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Lea_0024_0037;

Lea_0024_0037* Lea_0024_0037_Ctor( TsmBase* oParent );
void Lea_0024_0037_Tra_0024_0040( struct Lea_0024_0037Struct* this, TsmHandler* oHandler );
void Lea_0024_0037_Initial( struct Lea_0024_0037Struct* this, TsmHandler* oHandler );
void Lea_0024_0037_Tra_0024_0042( struct Lea_0024_0037Struct* this, TsmHandler* oHandler );
void Lea_0024_0037_pp_checker___Check( struct Lea_0024_0037Struct* this, TsmHandler* oHandler );
void Lea_0024_0037_AtEntry( struct Lea_0024_0037Struct* this, TsmHandler* oHandler );
int Lea_0024_0037_GetProspect( struct Lea_0024_0037Struct* this, int PortId, int Command );
void Lea_0024_0037_ExecuteTrigger( struct Lea_0024_0037Struct* this, TsmHandler* oHandler );
TsmBool Lea_0024_0037_ExecuteTransition( struct Lea_0024_0037Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> Checking ) */
typedef struct Lea_0024_0038Struct
{
#include "TsmLeaf_fields.h"
  TsmTransition* aTransitions[ 2 ];
} Lea_0024_0038;

Lea_0024_0038* Lea_0024_0038_Ctor( TsmBase* oParent );
void Lea_0024_0038_Initial( struct Lea_0024_0038Struct* this, TsmHandler* oHandler );
void Lea_0024_0038_Tra_0024_0041( struct Lea_0024_0038Struct* this, TsmHandler* oHandler );
void Lea_0024_0038_pp_checker___Check( struct Lea_0024_0038Struct* this, TsmHandler* oHandler );
void Lea_0024_0038_AtEntry( struct Lea_0024_0038Struct* this, TsmHandler* oHandler );
int Lea_0024_0038_GetProspect( struct Lea_0024_0038Struct* this, int PortId, int Command );
void Lea_0024_0038_ExecuteTrigger( struct Lea_0024_0038Struct* this, TsmHandler* oHandler );
TsmBool Lea_0024_0038_ExecuteTransition( struct Lea_0024_0038Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> Loop ) */
typedef struct Lea_0024_0039Struct
{
#include "TsmLeaf_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Lea_0024_0039;

Lea_0024_0039* Lea_0024_0039_Ctor( TsmBase* oParent );
void Lea_0024_0039_Tra_0024_0045( struct Lea_0024_0039Struct* this, TsmHandler* oHandler );
void Lea_0024_0039_Initial( struct Lea_0024_0039Struct* this, TsmHandler* oHandler );
void Lea_0024_0039_Tra_0024_0046( struct Lea_0024_0039Struct* this, TsmHandler* oHandler );
void Lea_0024_0039_AtEntry( struct Lea_0024_0039Struct* this, TsmHandler* oHandler );
TsmBool Lea_0024_0039_ExecuteTransition( struct Lea_0024_0039Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >) */
typedef struct Reg_0023_0024Struct
{
#include "TsmRegion_fields.h"
  Ini_0024_0025* oIni_0024_0025; /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> InitialState ) */
  Sub_0024_0026* oSub_0024_0026; /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> SF_1 ) */
  Sub_0024_0027* oSub_0024_0027; /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> SF_2 ) */
  Com_0024_0030* oCom_0024_0030; /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> Composite ) */
  Lea_0024_0037* oLea_0024_0037; /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> Idle ) */
  Lea_0024_0038* oLea_0024_0038; /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> Checking ) */
  Lea_0024_0039* oLea_0024_0039; /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> Loop ) */
  TsmState* aStates[ 7 ];
} Reg_0023_0024;

Reg_0023_0024* Reg_0023_0024_Ctor( TsmBase* oParent );
void Reg_0023_0024_Initial( struct Reg_0023_0024Struct* this, TsmHandler* oHandler );
void Reg_0023_0024_Tra_0024_0040( struct Reg_0023_0024Struct* this, TsmHandler* oHandler );
void Reg_0023_0024_Tra_0024_0044( struct Reg_0023_0024Struct* this, TsmHandler* oHandler );
void Reg_0023_0024_Tra_0024_0045( struct Reg_0023_0024Struct* this, TsmHandler* oHandler );
void Reg_0023_0024_Tra_0024_0043( struct Reg_0023_0024Struct* this, TsmHandler* oHandler );
void Reg_0023_0024_Tra_0024_0042( struct Reg_0023_0024Struct* this, TsmHandler* oHandler );
void Reg_0023_0024_Tra_0024_0047( struct Reg_0023_0024Struct* this, TsmHandler* oHandler );
void Reg_0023_0024_Tra_0024_0041( struct Reg_0023_0024Struct* this, TsmHandler* oHandler );
void Reg_0023_0024_Tra_0024_0046( struct Reg_0023_0024Struct* this, TsmHandler* oHandler );
int Reg_0023_0024_GetProspect( struct Reg_0023_0024Struct* this, int PortId, int Command );
TsmBool Reg_0023_0024_ExecuteTransition( struct Reg_0023_0024Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm ) */
typedef struct Fsm_0021_0023Struct
{
#include "TsmFsm_fields.h"
  Reg_0023_0024* oReg_0023_0024; /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >) */
  TsmRegion* aRegions[ 1 ];
} Fsm_0021_0023;

Fsm_0021_0023* Fsm_0021_0023_Ctor( TsmBase* oParent );
void Fsm_0021_0023_AtEntry( struct Fsm_0021_0023Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass ) */
typedef struct Cla_0019_0021Struct
{
#include "TsmClass_fields.h"
  Fsm_0021_0023* oFsm_0021_0023; /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm ) */
  TsmIPort_IChecker* TsmPI__pp_checker; /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > pp_checker ) */
  TsmIPort_ICbChecker* pp_checker; /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > pp_checker ) */
  TsmPSPort mPSMessager;
  TsmFsm* aFsms[ 1 ];
} Cla_0019_0021;

Cla_0019_0021* Cla_0019_0021_Ctor( TsmBase* oParent, char* sInstanceName );
TsmInterfacePort* Cla_0019_0021_GetProvidedInterface( struct Cla_0019_0021Struct* this, char* sPortName );
void Cla_0019_0021_SetRequiredInterface( struct Cla_0019_0021Struct* this, char* sPortName, TsmInterfacePort* oProvidedInterface );
void Cla_0019_0021_ExecuteTrigger( struct Cla_0019_0021Struct* this, TsmTrigger* oTrigger );
void Cla_0019_0021_Function_1001( struct Cla_0019_0021Struct* this, TsmHandler* oHandler );
void Cla_0019_0021_TsmInitialise( struct Cla_0019_0021Struct* this, void* oObject );
void Cla_0019_0021_TsmConnect( struct Cla_0019_0021Struct* this, void* oObject );
void Cla_0019_0021_TsmPrepare( struct Cla_0019_0021Struct* this, void* oObject );
void Cla_0019_0021_Gtor( struct Cla_0019_0021Struct* this );

 /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent ) */
typedef struct Com_0018_0019Struct
{
#include "TsmLComponent_fields.h"
  TsmClass* aClasses[ 1 ];
  Cla_0019_0021* Checker; /* ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > Checker ) */
} Com_0018_0019;

Com_0018_0019* Com_0018_0019_Ctor( TsmBase* oParent, char* sInstanceName );
TsmInterfacePort* Com_0018_0019_GetProvidedInterface( struct Com_0018_0019Struct* this, char* sPortName );
void Com_0018_0019_SetRequiredInterface( struct Com_0018_0019Struct* this, char* sPortName, TsmInterfacePort* oProvidedInterface );

 /* ( Xmi > Data > Repository > HowlersPackage > System1 ) */
typedef struct Com_0018_0060Struct
{
#include "TsmAComponent_fields.h"
  TsmComponent* aComponents[ 2 ];
  Com_0018_0063* Howlers; /* ( Xmi > Data > Repository > HowlersPackage > System1 > Howlers ) */
  Com_0018_0019* Checker; /* ( Xmi > Data > Repository > HowlersPackage > System1 > Checker ) */
  TsmIPort_IHowlers* TsmPI__pp_howlers; /* ( Xmi > Data > Repository > HowlersPackage > System1 > pp_howlers ) */
  TsmASPort TsmMr__pp_howlers;
  TsmIPort_ICbSlave* TsmPI__rp_slave; /* ( Xmi > Data > Repository > HowlersPackage > System1 > rp_slave ) */
  TsmACPort TsmMr__rp_slave;
} Com_0018_0060;

Com_0018_0060* Com_0018_0060_Ctor( TsmBase* oParent, char* sInstanceName );
TsmInterfacePort* Com_0018_0060_GetProvidedInterface( struct Com_0018_0060Struct* this, char* sPortName );
void Com_0018_0060_SetRequiredInterface( struct Com_0018_0060Struct* this, char* sPortName, TsmInterfacePort* oProvidedInterface );
void Com_0018_0060_TsmInitialise( struct Com_0018_0060Struct* this, void* oObject );
void Com_0018_0060_TsmConnect( struct Com_0018_0060Struct* this, void* oObject );
void Com_0018_0060_Gtor( struct Com_0018_0060Struct* this );

 /* ( Xmi > Data > Architecture > ExecEnv1 > Ui ) */
typedef struct Com_0008_0007Struct
{
#include "TsmPComponent_fields.h"
  TsmClass* aClasses[ 1 ];
  Cla_0161_0162* InsHowlersClient; /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > InsHowlersClient ) */
} Com_0008_0007;

Com_0008_0007* Com_0008_0007_Ctor( TsmBase* oParent, char* sInstanceName );
TsmInterfacePort* Com_0008_0007_GetProvidedInterface( struct Com_0008_0007Struct* this, char* sPortName );
void Com_0008_0007_SetRequiredInterface( struct Com_0008_0007Struct* this, char* sPortName, TsmInterfacePort* oProvidedInterface );

 /* ( Xmi > Data > Architecture > ExecEnv1 > Slave ) */
typedef struct Com_0008_0009Struct
{
#include "TsmPComponent_fields.h"
  TsmClass* aClasses[ 1 ];
  Cla_0130_0146* InsSlaveServer; /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > InsSlaveServer ) */
} Com_0008_0009;

Com_0008_0009* Com_0008_0009_Ctor( TsmBase* oParent, char* sInstanceName );
TsmInterfacePort* Com_0008_0009_GetProvidedInterface( struct Com_0008_0009Struct* this, char* sPortName );
void Com_0008_0009_SetRequiredInterface( struct Com_0008_0009Struct* this, char* sPortName, TsmInterfacePort* oProvidedInterface );

 /* ( Xmi > Data > Architecture > ExecEnv1 ) */
typedef struct Com_0002_0008Struct
{
#include "TsmPComponent_fields.h"
  TsmComponent* aComponents[ 3 ];
  Com_0018_0060* MySystem1; /* ( Xmi > Data > Architecture > ExecEnv1 > MySystem1 ) */
  Com_0008_0007* Ui; /* ( Xmi > Data > Architecture > ExecEnv1 > Ui ) */
  Com_0008_0009* Slave; /* ( Xmi > Data > Architecture > ExecEnv1 > Slave ) */
} Com_0002_0008;

Com_0002_0008* Com_0002_0008_Ctor( TsmBase* oParent, char* sInstanceName );
void Com_0002_0008_TsmConnect( struct Com_0002_0008Struct* this, void* oObject );

/********************************************************************
 * PACKAGE: ( Xmi > Data > Architecture > Sequence Diagrams )
 ********************************************************************/

 /* ( Xmi > Data > Architecture > Sequence Diagrams ) */
typedef struct Pac_0002_0012Struct
{
#include "TsmPackage_fields.h"
} Pac_0002_0012;

Pac_0002_0012* Pac_0002_0012_Ctor( TsmBase* oParent );

/********************************************************************
 * PACKAGE: ( Xmi > Data > Architecture )
 ********************************************************************/

 /* ( Xmi > Data > Architecture ) */
typedef struct Pac_0001_0002Struct
{
#include "TsmPackage_fields.h"
} Pac_0001_0002;

Pac_0001_0002* Pac_0001_0002_Ctor( TsmBase* oParent );

 /* ( Xmi > Data > Repository > Terminators > CheckerMock ) */
typedef struct Com_0014_0015Struct
{
#include "TsmPComponent_fields.h"
} Com_0014_0015;

Com_0014_0015* Com_0014_0015_Ctor( TsmBase* oParent, char* sInstanceName );

 /* ( Xmi > Data > Repository > Terminators > UiComponent ) */
typedef struct Com_0014_0016Struct
{
#include "TsmPComponent_fields.h"
} Com_0014_0016;

Com_0014_0016* Com_0014_0016_Ctor( TsmBase* oParent, char* sInstanceName );

 /* ( Xmi > Data > Repository > Terminators > SlaveComponent ) */
typedef struct Com_0014_0017Struct
{
#include "TsmPComponent_fields.h"
} Com_0014_0017;

Com_0014_0017* Com_0014_0017_Ctor( TsmBase* oParent, char* sInstanceName );

/********************************************************************
 * PACKAGE: ( Xmi > Data > Repository > Terminators )
 ********************************************************************/

 /* ( Xmi > Data > Repository > Terminators ) */
typedef struct Pac_0013_0014Struct
{
#include "TsmPackage_fields.h"
} Pac_0013_0014;

Pac_0013_0014* Pac_0013_0014_Ctor( TsmBase* oParent );

/********************************************************************
 * PACKAGE: ( Xmi > Data > Repository > HowlersPackage )
 ********************************************************************/

 /* ( Xmi > Data > Repository > HowlersPackage ) */
typedef struct Pac_0013_0018Struct
{
#include "TsmPackage_fields.h"
} Pac_0013_0018;

Pac_0013_0018* Pac_0013_0018_Ctor( TsmBase* oParent );

/********************************************************************
 * PACKAGE: ( Xmi > Data > Repository )
 ********************************************************************/

 /* ( Xmi > Data > Repository ) */
typedef struct Pac_0001_0013Struct
{
#include "TsmPackage_fields.h"
} Pac_0001_0013;

Pac_0001_0013* Pac_0001_0013_Ctor( TsmBase* oParent );

 /* ( Xmi > Data > Protocols > CheckerProtocol > CheckerClient > CheckerClientPsm >> InitialState ) */
typedef struct Ini_0123_0124Struct
{
#include "TsmPseudo_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Ini_0123_0124;

Ini_0123_0124* Ini_0123_0124_Ctor( TsmBase* oParent );
void Ini_0123_0124_Initial( struct Ini_0123_0124Struct* this, TsmHandler* oHandler );
void Ini_0123_0124_AtEntry( struct Ini_0123_0124Struct* this, TsmHandler* oHandler );
TsmBool Ini_0123_0124_ExecuteTransition( struct Ini_0123_0124Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > CheckerProtocol > CheckerClient > CheckerClientPsm >> Idle ) */
typedef struct Lea_0123_0125Struct
{
#include "TsmLeaf_fields.h"
  const int* aNatives;
  TsmTransition* aTransitions[ 1 ];
} Lea_0123_0125;

Lea_0123_0125* Lea_0123_0125_Ctor( TsmBase* oParent );
void Lea_0123_0125_Tra_0123_0127( struct Lea_0123_0125Struct* this, TsmHandler* oHandler );
void Lea_0123_0125_Initial( struct Lea_0123_0125Struct* this, TsmHandler* oHandler );
void Lea_0123_0125_Tra_0123_0129( struct Lea_0123_0125Struct* this, TsmHandler* oHandler );
void Lea_0123_0125_AtEntry( struct Lea_0123_0125Struct* this, TsmHandler* oHandler );
void Lea_0123_0125_AtExit( struct Lea_0123_0125Struct* this, TsmHandler* oHandler );
int Lea_0123_0125_GetProspect( struct Lea_0123_0125Struct* this, int PortId, int Command );
void Lea_0123_0125_ExecuteTrigger( struct Lea_0123_0125Struct* this, TsmHandler* oHandler );
TsmBool Lea_0123_0125_ExecuteTransition( struct Lea_0123_0125Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > CheckerProtocol > CheckerClient > CheckerClientPsm >> Checking ) */
typedef struct Lea_0123_0126Struct
{
#include "TsmLeaf_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Lea_0123_0126;

Lea_0123_0126* Lea_0123_0126_Ctor( TsmBase* oParent );
void Lea_0123_0126_Initial( struct Lea_0123_0126Struct* this, TsmHandler* oHandler );
void Lea_0123_0126_Tra_0123_0128( struct Lea_0123_0126Struct* this, TsmHandler* oHandler );
void Lea_0123_0126_Port___CbChecked( struct Lea_0123_0126Struct* this, TsmHandler* oHandler );
void Lea_0123_0126_AtEntry( struct Lea_0123_0126Struct* this, TsmHandler* oHandler );
int Lea_0123_0126_GetProspect( struct Lea_0123_0126Struct* this, int PortId, int Command );
void Lea_0123_0126_ExecuteTrigger( struct Lea_0123_0126Struct* this, TsmHandler* oHandler );
TsmBool Lea_0123_0126_ExecuteTransition( struct Lea_0123_0126Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > CheckerProtocol > CheckerClient > CheckerClientPsm >) */
typedef struct Reg_0122_0123Struct
{
#include "TsmRegion_fields.h"
  Ini_0123_0124* oIni_0123_0124; /* ( Xmi > Data > Protocols > CheckerProtocol > CheckerClient > CheckerClientPsm >> InitialState ) */
  Lea_0123_0125* oLea_0123_0125; /* ( Xmi > Data > Protocols > CheckerProtocol > CheckerClient > CheckerClientPsm >> Idle ) */
  Lea_0123_0126* oLea_0123_0126; /* ( Xmi > Data > Protocols > CheckerProtocol > CheckerClient > CheckerClientPsm >> Checking ) */
  TsmState* aStates[ 3 ];
} Reg_0122_0123;

Reg_0122_0123* Reg_0122_0123_Ctor( TsmBase* oParent );
void Reg_0122_0123_Initial( struct Reg_0122_0123Struct* this, TsmHandler* oHandler );
void Reg_0122_0123_Tra_0123_0127( struct Reg_0122_0123Struct* this, TsmHandler* oHandler );
void Reg_0122_0123_Tra_0123_0128( struct Reg_0122_0123Struct* this, TsmHandler* oHandler );
void Reg_0122_0123_Tra_0123_0129( struct Reg_0122_0123Struct* this, TsmHandler* oHandler );
int Reg_0122_0123_GetProspect( struct Reg_0122_0123Struct* this, int PortId, int Command );
TsmBool Reg_0122_0123_ExecuteTransition( struct Reg_0122_0123Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > CheckerProtocol > CheckerClient > CheckerClientPsm ) */
typedef struct Fsm_0120_0122Struct
{
#include "TsmFsm_fields.h"
  Reg_0122_0123* oReg_0122_0123; /* ( Xmi > Data > Protocols > CheckerProtocol > CheckerClient > CheckerClientPsm >) */
  TsmRegion* aRegions[ 1 ];
} Fsm_0120_0122;

Fsm_0120_0122* Fsm_0120_0122_Ctor( TsmBase* oParent );
void Fsm_0120_0122_AtEntry( struct Fsm_0120_0122Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > CheckerProtocol > CheckerClient ) */
typedef struct Cla_0109_0120Struct
{
#include "TsmProtocolClass_fields.h"
  Fsm_0120_0122* oFsm_0120_0122; /* ( Xmi > Data > Protocols > CheckerProtocol > CheckerClient > CheckerClientPsm ) */
  TsmIPort_IChecker* Port; /* ( Xmi > Data > Protocols > CheckerProtocol > CheckerClient > Port ) */
  TsmIPort_ICbChecker* TsmPI__Port; /* ( Xmi > Data > Protocols > CheckerProtocol > CheckerClient > Port ) */
  TsmPCPort mPCMessager;
  TsmFsm* aFsms[ 1 ];
} Cla_0109_0120;

Cla_0109_0120* Cla_0109_0120_Ctor( TsmBase* oParent, char* sInstanceName );
TsmInterfacePort* Cla_0109_0120_GetProvidedInterface( struct Cla_0109_0120Struct* this, char* sPortName );
void Cla_0109_0120_SetRequiredInterface( struct Cla_0109_0120Struct* this, char* sPortName, TsmInterfacePort* oProvidedInterface );
void Cla_0109_0120_ExecuteTrigger( struct Cla_0109_0120Struct* this, TsmTrigger* oTrigger );
void Cla_0109_0120_Function_1006( struct Cla_0109_0120Struct* this, TsmHandler* oHandler );
void Cla_0109_0120_TsmInitialise( struct Cla_0109_0120Struct* this, void* oObject );
void Cla_0109_0120_TsmConnect( struct Cla_0109_0120Struct* this, void* oObject );
void Cla_0109_0120_TsmPrepare( struct Cla_0109_0120Struct* this, void* oObject );
void Cla_0109_0120_Gtor( struct Cla_0109_0120Struct* this );

/********************************************************************
 * PACKAGE: ( Xmi > Data > Protocols > CheckerProtocol )
 ********************************************************************/

 /* ( Xmi > Data > Protocols > CheckerProtocol ) */
typedef struct Pac_0108_0109Struct
{
#include "TsmPackage_fields.h"
} Pac_0108_0109;

Pac_0108_0109* Pac_0108_0109_Ctor( TsmBase* oParent );

 /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient > SlaveClientPsm >> InitialState ) */
typedef struct Ini_0134_0135Struct
{
#include "TsmPseudo_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Ini_0134_0135;

Ini_0134_0135* Ini_0134_0135_Ctor( TsmBase* oParent );
void Ini_0134_0135_Initial( struct Ini_0134_0135Struct* this, TsmHandler* oHandler );
void Ini_0134_0135_AtEntry( struct Ini_0134_0135Struct* this, TsmHandler* oHandler );
TsmBool Ini_0134_0135_ExecuteTransition( struct Ini_0134_0135Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient > SlaveClientPsm >> Idle ) */
typedef struct Lea_0134_0136Struct
{
#include "TsmLeaf_fields.h"
  const int* aNatives;
  TsmTransition* aTransitions[ 1 ];
} Lea_0134_0136;

Lea_0134_0136* Lea_0134_0136_Ctor( TsmBase* oParent );
void Lea_0134_0136_Tra_0134_0140( struct Lea_0134_0136Struct* this, TsmHandler* oHandler );
void Lea_0134_0136_Initial( struct Lea_0134_0136Struct* this, TsmHandler* oHandler );
void Lea_0134_0136_Tra_0134_0145( struct Lea_0134_0136Struct* this, TsmHandler* oHandler );
void Lea_0134_0136_AtEntry( struct Lea_0134_0136Struct* this, TsmHandler* oHandler );
void Lea_0134_0136_AtExit( struct Lea_0134_0136Struct* this, TsmHandler* oHandler );
int Lea_0134_0136_GetProspect( struct Lea_0134_0136Struct* this, int PortId, int Command );
void Lea_0134_0136_ExecuteTrigger( struct Lea_0134_0136Struct* this, TsmHandler* oHandler );
TsmBool Lea_0134_0136_ExecuteTransition( struct Lea_0134_0136Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient > SlaveClientPsm >> Starting ) */
typedef struct Lea_0134_0137Struct
{
#include "TsmLeaf_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Lea_0134_0137;

Lea_0134_0137* Lea_0134_0137_Ctor( TsmBase* oParent );
void Lea_0134_0137_Initial( struct Lea_0134_0137Struct* this, TsmHandler* oHandler );
void Lea_0134_0137_Tra_0134_0143( struct Lea_0134_0137Struct* this, TsmHandler* oHandler );
void Lea_0134_0137_Port___CbStarted( struct Lea_0134_0137Struct* this, TsmHandler* oHandler );
void Lea_0134_0137_AtEntry( struct Lea_0134_0137Struct* this, TsmHandler* oHandler );
int Lea_0134_0137_GetProspect( struct Lea_0134_0137Struct* this, int PortId, int Command );
void Lea_0134_0137_ExecuteTrigger( struct Lea_0134_0137Struct* this, TsmHandler* oHandler );
TsmBool Lea_0134_0137_ExecuteTransition( struct Lea_0134_0137Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient > SlaveClientPsm >> Busy ) */
typedef struct Lea_0134_0138Struct
{
#include "TsmLeaf_fields.h"
  const int* aNatives;
  TsmTransition* aTransitions[ 2 ];
} Lea_0134_0138;

Lea_0134_0138* Lea_0134_0138_Ctor( TsmBase* oParent );
void Lea_0134_0138_Initial( struct Lea_0134_0138Struct* this, TsmHandler* oHandler );
void Lea_0134_0138_Tra_0134_0141( struct Lea_0134_0138Struct* this, TsmHandler* oHandler );
void Lea_0134_0138_Port___CbOutSync( struct Lea_0134_0138Struct* this, TsmHandler* oHandler );
void Lea_0134_0138_Tra_0134_0142( struct Lea_0134_0138Struct* this, TsmHandler* oHandler );
void Lea_0134_0138_AtEntry( struct Lea_0134_0138Struct* this, TsmHandler* oHandler );
void Lea_0134_0138_AtExit( struct Lea_0134_0138Struct* this, TsmHandler* oHandler );
int Lea_0134_0138_GetProspect( struct Lea_0134_0138Struct* this, int PortId, int Command );
void Lea_0134_0138_ExecuteTrigger( struct Lea_0134_0138Struct* this, TsmHandler* oHandler );
TsmBool Lea_0134_0138_ExecuteTransition( struct Lea_0134_0138Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient > SlaveClientPsm >> Stopping ) */
typedef struct Lea_0134_0139Struct
{
#include "TsmLeaf_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Lea_0134_0139;

Lea_0134_0139* Lea_0134_0139_Ctor( TsmBase* oParent );
void Lea_0134_0139_Initial( struct Lea_0134_0139Struct* this, TsmHandler* oHandler );
void Lea_0134_0139_Tra_0134_0144( struct Lea_0134_0139Struct* this, TsmHandler* oHandler );
void Lea_0134_0139_Port___CbStopped( struct Lea_0134_0139Struct* this, TsmHandler* oHandler );
void Lea_0134_0139_AtEntry( struct Lea_0134_0139Struct* this, TsmHandler* oHandler );
int Lea_0134_0139_GetProspect( struct Lea_0134_0139Struct* this, int PortId, int Command );
void Lea_0134_0139_ExecuteTrigger( struct Lea_0134_0139Struct* this, TsmHandler* oHandler );
TsmBool Lea_0134_0139_ExecuteTransition( struct Lea_0134_0139Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient > SlaveClientPsm >) */
typedef struct Reg_0133_0134Struct
{
#include "TsmRegion_fields.h"
  Ini_0134_0135* oIni_0134_0135; /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient > SlaveClientPsm >> InitialState ) */
  Lea_0134_0136* oLea_0134_0136; /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient > SlaveClientPsm >> Idle ) */
  Lea_0134_0137* oLea_0134_0137; /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient > SlaveClientPsm >> Starting ) */
  Lea_0134_0138* oLea_0134_0138; /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient > SlaveClientPsm >> Busy ) */
  Lea_0134_0139* oLea_0134_0139; /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient > SlaveClientPsm >> Stopping ) */
  TsmState* aStates[ 5 ];
} Reg_0133_0134;

Reg_0133_0134* Reg_0133_0134_Ctor( TsmBase* oParent );
void Reg_0133_0134_Initial( struct Reg_0133_0134Struct* this, TsmHandler* oHandler );
void Reg_0133_0134_Tra_0134_0140( struct Reg_0133_0134Struct* this, TsmHandler* oHandler );
void Reg_0133_0134_Tra_0134_0143( struct Reg_0133_0134Struct* this, TsmHandler* oHandler );
void Reg_0133_0134_Tra_0134_0144( struct Reg_0133_0134Struct* this, TsmHandler* oHandler );
void Reg_0133_0134_Tra_0134_0142( struct Reg_0133_0134Struct* this, TsmHandler* oHandler );
void Reg_0133_0134_Tra_0134_0145( struct Reg_0133_0134Struct* this, TsmHandler* oHandler );
int Reg_0133_0134_GetProspect( struct Reg_0133_0134Struct* this, int PortId, int Command );
TsmBool Reg_0133_0134_ExecuteTransition( struct Reg_0133_0134Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient > SlaveClientPsm ) */
typedef struct Fsm_0131_0133Struct
{
#include "TsmFsm_fields.h"
  Reg_0133_0134* oReg_0133_0134; /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient > SlaveClientPsm >) */
  TsmRegion* aRegions[ 1 ];
} Fsm_0131_0133;

Fsm_0131_0133* Fsm_0131_0133_Ctor( TsmBase* oParent );
void Fsm_0131_0133_AtEntry( struct Fsm_0131_0133Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient ) */
typedef struct Cla_0130_0131Struct
{
#include "TsmProtocolClass_fields.h"
  Fsm_0131_0133* oFsm_0131_0133; /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient > SlaveClientPsm ) */
  TsmIPort_ISlave* Port; /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient > Port ) */
  TsmIPort_ICbSlave* TsmPI__Port; /* ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient > Port ) */
  TsmPCPort mPCMessager;
  TsmFsm* aFsms[ 1 ];
} Cla_0130_0131;

Cla_0130_0131* Cla_0130_0131_Ctor( TsmBase* oParent, char* sInstanceName );
TsmInterfacePort* Cla_0130_0131_GetProvidedInterface( struct Cla_0130_0131Struct* this, char* sPortName );
void Cla_0130_0131_SetRequiredInterface( struct Cla_0130_0131Struct* this, char* sPortName, TsmInterfacePort* oProvidedInterface );
void Cla_0130_0131_ExecuteTrigger( struct Cla_0130_0131Struct* this, TsmTrigger* oTrigger );
void Cla_0130_0131_Function_1007( struct Cla_0130_0131Struct* this, TsmHandler* oHandler );
void Cla_0130_0131_Function_1008( struct Cla_0130_0131Struct* this, TsmHandler* oHandler );
void Cla_0130_0131_TsmInitialise( struct Cla_0130_0131Struct* this, void* oObject );
void Cla_0130_0131_TsmConnect( struct Cla_0130_0131Struct* this, void* oObject );
void Cla_0130_0131_TsmPrepare( struct Cla_0130_0131Struct* this, void* oObject );
void Cla_0130_0131_Gtor( struct Cla_0130_0131Struct* this );

/********************************************************************
 * PACKAGE: ( Xmi > Data > Protocols > SlaveProtocol )
 ********************************************************************/

 /* ( Xmi > Data > Protocols > SlaveProtocol ) */
typedef struct Pac_0108_0130Struct
{
#include "TsmPackage_fields.h"
} Pac_0108_0130;

Pac_0108_0130* Pac_0108_0130_Ctor( TsmBase* oParent );

 /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> InitialState ) */
typedef struct Ini_0193_0194Struct
{
#include "TsmPseudo_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Ini_0193_0194;

Ini_0193_0194* Ini_0193_0194_Ctor( TsmBase* oParent );
void Ini_0193_0194_Initial( struct Ini_0193_0194Struct* this, TsmHandler* oHandler );
void Ini_0193_0194_AtEntry( struct Ini_0193_0194Struct* this, TsmHandler* oHandler );
TsmBool Ini_0193_0194_ExecuteTransition( struct Ini_0193_0194Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> JuncState ) */
typedef struct Jun_0193_0195Struct
{
#include "TsmPseudo_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Jun_0193_0195;

Jun_0193_0195* Jun_0193_0195_Ctor( TsmBase* oParent );
void Jun_0193_0195_Initial( struct Jun_0193_0195Struct* this, TsmHandler* oHandler );
void Jun_0193_0195_Tra_0197_0207( struct Jun_0193_0195Struct* this, TsmHandler* oHandler );
void Jun_0193_0195_AtEntry( struct Jun_0193_0195Struct* this, TsmHandler* oHandler );
TsmBool Jun_0193_0195_ExecuteTransition( struct Jun_0193_0195Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Active >> Starting ) */
typedef struct Lea_0197_0198Struct
{
#include "TsmLeaf_fields.h"
  const int* aNatives;
  TsmTransition* aTransitions[ 1 ];
} Lea_0197_0198;

Lea_0197_0198* Lea_0197_0198_Ctor( TsmBase* oParent );
void Lea_0197_0198_Initial( struct Lea_0197_0198Struct* this, TsmHandler* oHandler );
void Lea_0197_0198_Tra_0193_0213( struct Lea_0197_0198Struct* this, TsmHandler* oHandler );
void Lea_0197_0198_AtEntry( struct Lea_0197_0198Struct* this, TsmHandler* oHandler );
void Lea_0197_0198_AtExit( struct Lea_0197_0198Struct* this, TsmHandler* oHandler );
int Lea_0197_0198_GetProspect( struct Lea_0197_0198Struct* this, int PortId, int Command );
void Lea_0197_0198_ExecuteTrigger( struct Lea_0197_0198Struct* this, TsmHandler* oHandler );
TsmBool Lea_0197_0198_ExecuteTransition( struct Lea_0197_0198Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Active >> OutSync ) */
typedef struct Lea_0197_0199Struct
{
#include "TsmLeaf_fields.h"
} Lea_0197_0199;

Lea_0197_0199* Lea_0197_0199_Ctor( TsmBase* oParent );
void Lea_0197_0199_Initial( struct Lea_0197_0199Struct* this, TsmHandler* oHandler );
void Lea_0197_0199_Tra_0197_0205( struct Lea_0197_0199Struct* this, TsmHandler* oHandler );
void Lea_0197_0199_AtEntry( struct Lea_0197_0199Struct* this, TsmHandler* oHandler );
TsmBool Lea_0197_0199_ExecuteTransition( struct Lea_0197_0199Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Active >> Slow ) */
typedef struct Lea_0197_0200Struct
{
#include "TsmLeaf_fields.h"
} Lea_0197_0200;

Lea_0197_0200* Lea_0197_0200_Ctor( TsmBase* oParent );
void Lea_0197_0200_Tra_0193_0214( struct Lea_0197_0200Struct* this, TsmHandler* oHandler );
void Lea_0197_0200_Initial( struct Lea_0197_0200Struct* this, TsmHandler* oHandler );
void Lea_0197_0200_AtEntry( struct Lea_0197_0200Struct* this, TsmHandler* oHandler );
TsmBool Lea_0197_0200_ExecuteTransition( struct Lea_0197_0200Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Active >> Busy ) */
typedef struct Lea_0197_0201Struct
{
#include "TsmLeaf_fields.h"
  const int* aNatives;
  TsmTransition* aTransitions[ 4 ];
} Lea_0197_0201;

Lea_0197_0201* Lea_0197_0201_Ctor( TsmBase* oParent );
void Lea_0197_0201_Initial( struct Lea_0197_0201Struct* this, TsmHandler* oHandler );
void Lea_0197_0201_Tra_0197_0209( struct Lea_0197_0201Struct* this, TsmHandler* oHandler );
void Lea_0197_0201_Tra_0197_0204( struct Lea_0197_0201Struct* this, TsmHandler* oHandler );
void Lea_0197_0201_Port___Pause( struct Lea_0197_0201Struct* this, TsmHandler* oHandler );
void Lea_0197_0201_Port___Slow( struct Lea_0197_0201Struct* this, TsmHandler* oHandler );
void Lea_0197_0201_Port___Test( struct Lea_0197_0201Struct* this, TsmHandler* oHandler );
void Lea_0197_0201_AtEntry( struct Lea_0197_0201Struct* this, TsmHandler* oHandler );
void Lea_0197_0201_AtExit( struct Lea_0197_0201Struct* this, TsmHandler* oHandler );
int Lea_0197_0201_GetProspect( struct Lea_0197_0201Struct* this, int PortId, int Command );
void Lea_0197_0201_ExecuteTrigger( struct Lea_0197_0201Struct* this, TsmHandler* oHandler );
TsmBool Lea_0197_0201_ExecuteTransition( struct Lea_0197_0201Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Active >> Pausing ) */
typedef struct Lea_0197_0202Struct
{
#include "TsmLeaf_fields.h"
  const int* aNatives;
  TsmTransition* aTransitions[ 1 ];
} Lea_0197_0202;

Lea_0197_0202* Lea_0197_0202_Ctor( TsmBase* oParent );
void Lea_0197_0202_Initial( struct Lea_0197_0202Struct* this, TsmHandler* oHandler );
void Lea_0197_0202_Tra_0197_0208( struct Lea_0197_0202Struct* this, TsmHandler* oHandler );
void Lea_0197_0202_AtEntry( struct Lea_0197_0202Struct* this, TsmHandler* oHandler );
void Lea_0197_0202_AtExit( struct Lea_0197_0202Struct* this, TsmHandler* oHandler );
int Lea_0197_0202_GetProspect( struct Lea_0197_0202Struct* this, int PortId, int Command );
void Lea_0197_0202_ExecuteTrigger( struct Lea_0197_0202Struct* this, TsmHandler* oHandler );
TsmBool Lea_0197_0202_ExecuteTransition( struct Lea_0197_0202Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Active >> Test ) */
typedef struct Lea_0197_0203Struct
{
#include "TsmLeaf_fields.h"
} Lea_0197_0203;

Lea_0197_0203* Lea_0197_0203_Ctor( TsmBase* oParent );
void Lea_0197_0203_Initial( struct Lea_0197_0203Struct* this, TsmHandler* oHandler );
void Lea_0197_0203_Tra_0197_0206( struct Lea_0197_0203Struct* this, TsmHandler* oHandler );
void Lea_0197_0203_AtEntry( struct Lea_0197_0203Struct* this, TsmHandler* oHandler );
TsmBool Lea_0197_0203_ExecuteTransition( struct Lea_0197_0203Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Active >) */
typedef struct Reg_0196_0197Struct
{
#include "TsmRegion_fields.h"
  Lea_0197_0198* oLea_0197_0198; /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Active >> Starting ) */
  Lea_0197_0199* oLea_0197_0199; /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Active >> OutSync ) */
  Lea_0197_0200* oLea_0197_0200; /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Active >> Slow ) */
  Lea_0197_0201* oLea_0197_0201; /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Active >> Busy ) */
  Lea_0197_0202* oLea_0197_0202; /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Active >> Pausing ) */
  Lea_0197_0203* oLea_0197_0203; /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Active >> Test ) */
  TsmState* aStates[ 6 ];
} Reg_0196_0197;

Reg_0196_0197* Reg_0196_0197_Ctor( TsmBase* oParent );
void Reg_0196_0197_Tra_0193_0214( struct Reg_0196_0197Struct* this, TsmHandler* oHandler );
void Reg_0196_0197_Tra_0197_0209( struct Reg_0196_0197Struct* this, TsmHandler* oHandler );
void Reg_0196_0197_Tra_0197_0205( struct Reg_0196_0197Struct* this, TsmHandler* oHandler );
void Reg_0196_0197_Tra_0197_0204( struct Reg_0196_0197Struct* this, TsmHandler* oHandler );
void Reg_0196_0197_Tra_0197_0208( struct Reg_0196_0197Struct* this, TsmHandler* oHandler );
void Reg_0196_0197_Tra_0193_0213( struct Reg_0196_0197Struct* this, TsmHandler* oHandler );
void Reg_0196_0197_Tra_0197_0206( struct Reg_0196_0197Struct* this, TsmHandler* oHandler );
int Reg_0196_0197_GetProspect( struct Reg_0196_0197Struct* this, int PortId, int Command );
TsmBool Reg_0196_0197_ExecuteTransition( struct Reg_0196_0197Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Active ) */
typedef struct Com_0193_0196Struct
{
#include "TsmCompound_fields.h"
  Reg_0196_0197* oReg_0196_0197; /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Active >) */
  TsmRegion* aRegions[ 1 ];
  TsmTransition* aTransitions[ 1 ];
} Com_0193_0196;

Com_0193_0196* Com_0193_0196_Ctor( TsmBase* oParent );
void Com_0193_0196_Tra_0193_0214( struct Com_0193_0196Struct* this, TsmHandler* oHandler );
void Com_0193_0196_Tra_0193_0213( struct Com_0193_0196Struct* this, TsmHandler* oHandler );
void Com_0193_0196_Port___Stop( struct Com_0193_0196Struct* this, TsmHandler* oHandler );
void Com_0193_0196_AtEntry( struct Com_0193_0196Struct* this, TsmHandler* oHandler );
int Com_0193_0196_GetProspect( struct Com_0193_0196Struct* this, int PortId, int Command );
void Com_0193_0196_ExecuteTriggerCompound( struct Com_0193_0196Struct* this, TsmHandler* oHandler );
TsmBool Com_0193_0196_ExecuteTransition( struct Com_0193_0196Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Idle ) */
typedef struct Lea_0193_0210Struct
{
#include "TsmLeaf_fields.h"
  TsmTransition* aTransitions[ 1 ];
} Lea_0193_0210;

Lea_0193_0210* Lea_0193_0210_Ctor( TsmBase* oParent );
void Lea_0193_0210_Tra_0193_0212( struct Lea_0193_0210Struct* this, TsmHandler* oHandler );
void Lea_0193_0210_Initial( struct Lea_0193_0210Struct* this, TsmHandler* oHandler );
void Lea_0193_0210_Tra_0193_0215( struct Lea_0193_0210Struct* this, TsmHandler* oHandler );
void Lea_0193_0210_Port___Start( struct Lea_0193_0210Struct* this, TsmHandler* oHandler );
void Lea_0193_0210_AtEntry( struct Lea_0193_0210Struct* this, TsmHandler* oHandler );
int Lea_0193_0210_GetProspect( struct Lea_0193_0210Struct* this, int PortId, int Command );
void Lea_0193_0210_ExecuteTrigger( struct Lea_0193_0210Struct* this, TsmHandler* oHandler );
TsmBool Lea_0193_0210_ExecuteTransition( struct Lea_0193_0210Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Stopping ) */
typedef struct Lea_0193_0211Struct
{
#include "TsmLeaf_fields.h"
  const int* aNatives;
  TsmTransition* aTransitions[ 1 ];
} Lea_0193_0211;

Lea_0193_0211* Lea_0193_0211_Ctor( TsmBase* oParent );
void Lea_0193_0211_Initial( struct Lea_0193_0211Struct* this, TsmHandler* oHandler );
void Lea_0193_0211_Tra_0193_0216( struct Lea_0193_0211Struct* this, TsmHandler* oHandler );
void Lea_0193_0211_AtEntry( struct Lea_0193_0211Struct* this, TsmHandler* oHandler );
void Lea_0193_0211_AtExit( struct Lea_0193_0211Struct* this, TsmHandler* oHandler );
int Lea_0193_0211_GetProspect( struct Lea_0193_0211Struct* this, int PortId, int Command );
void Lea_0193_0211_ExecuteTrigger( struct Lea_0193_0211Struct* this, TsmHandler* oHandler );
TsmBool Lea_0193_0211_ExecuteTransition( struct Lea_0193_0211Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >) */
typedef struct Reg_0192_0193Struct
{
#include "TsmRegion_fields.h"
  Ini_0193_0194* oIni_0193_0194; /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> InitialState ) */
  Jun_0193_0195* oJun_0193_0195; /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> JuncState ) */
  Com_0193_0196* oCom_0193_0196; /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Active ) */
  Lea_0193_0210* oLea_0193_0210; /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Idle ) */
  Lea_0193_0211* oLea_0193_0211; /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Stopping ) */
  TsmState* aStates[ 5 ];
} Reg_0192_0193;

Reg_0192_0193* Reg_0192_0193_Ctor( TsmBase* oParent );
void Reg_0192_0193_Initial( struct Reg_0192_0193Struct* this, TsmHandler* oHandler );
void Reg_0192_0193_Tra_0193_0212( struct Reg_0192_0193Struct* this, TsmHandler* oHandler );
void Reg_0192_0193_Tra_0193_0214( struct Reg_0192_0193Struct* this, TsmHandler* oHandler );
void Reg_0192_0193_Tra_0193_0215( struct Reg_0192_0193Struct* this, TsmHandler* oHandler );
void Reg_0192_0193_Tra_0197_0207( struct Reg_0192_0193Struct* this, TsmHandler* oHandler );
void Reg_0192_0193_Tra_0193_0213( struct Reg_0192_0193Struct* this, TsmHandler* oHandler );
void Reg_0192_0193_Tra_0193_0216( struct Reg_0192_0193Struct* this, TsmHandler* oHandler );
int Reg_0192_0193_GetProspect( struct Reg_0192_0193Struct* this, int PortId, int Command );
TsmBool Reg_0192_0193_ExecuteTransition( struct Reg_0192_0193Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm ) */
typedef struct Fsm_0190_0192Struct
{
#include "TsmFsm_fields.h"
  Reg_0192_0193* oReg_0192_0193; /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >) */
  TsmRegion* aRegions[ 1 ];
} Fsm_0190_0192;

Fsm_0190_0192* Fsm_0190_0192_Ctor( TsmBase* oParent );
void Fsm_0190_0192_AtEntry( struct Fsm_0190_0192Struct* this, TsmHandler* oHandler );

 /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer ) */
typedef struct Cla_0161_0190Struct
{
#include "TsmProtocolClass_fields.h"
  Fsm_0190_0192* oFsm_0190_0192; /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm ) */
  TsmIPort_IHowlers* TsmPI__Port; /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > Port ) */
  TsmIPort_ICbHowlers* Port; /* ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > Port ) */
  TsmPSPort mPSMessager;
  TsmFsm* aFsms[ 1 ];
} Cla_0161_0190;

Cla_0161_0190* Cla_0161_0190_Ctor( TsmBase* oParent, char* sInstanceName );
TsmInterfacePort* Cla_0161_0190_GetProvidedInterface( struct Cla_0161_0190Struct* this, char* sPortName );
void Cla_0161_0190_SetRequiredInterface( struct Cla_0161_0190Struct* this, char* sPortName, TsmInterfacePort* oProvidedInterface );
void Cla_0161_0190_ExecuteTrigger( struct Cla_0161_0190Struct* this, TsmTrigger* oTrigger );
void Cla_0161_0190_Function_1018( struct Cla_0161_0190Struct* this, TsmHandler* oHandler );
void Cla_0161_0190_Function_1019( struct Cla_0161_0190Struct* this, TsmHandler* oHandler );
void Cla_0161_0190_Function_1020( struct Cla_0161_0190Struct* this, TsmHandler* oHandler );
void Cla_0161_0190_Function_1021( struct Cla_0161_0190Struct* this, TsmHandler* oHandler );
void Cla_0161_0190_TsmInitialise( struct Cla_0161_0190Struct* this, void* oObject );
void Cla_0161_0190_TsmConnect( struct Cla_0161_0190Struct* this, void* oObject );
void Cla_0161_0190_TsmPrepare( struct Cla_0161_0190Struct* this, void* oObject );
void Cla_0161_0190_Gtor( struct Cla_0161_0190Struct* this );

/********************************************************************
 * PACKAGE: ( Xmi > Data > Protocols > HowlersProtocol )
 ********************************************************************/

 /* ( Xmi > Data > Protocols > HowlersProtocol ) */
typedef struct Pac_0108_0161Struct
{
#include "TsmPackage_fields.h"
} Pac_0108_0161;

Pac_0108_0161* Pac_0108_0161_Ctor( TsmBase* oParent );

/********************************************************************
 * PACKAGE: ( Xmi > Data > Protocols )
 ********************************************************************/

 /* ( Xmi > Data > Protocols ) */
typedef struct Pac_0001_0108Struct
{
#include "TsmPackage_fields.h"
} Pac_0001_0108;

Pac_0001_0108* Pac_0001_0108_Ctor( TsmBase* oParent );

/********************************************************************
 * PACKAGE: ( Xmi > Data > TismStereotypes )
 ********************************************************************/

 /* ( Xmi > Data > TismStereotypes ) */
typedef struct Pac_0001_0217Struct
{
#include "TsmPackage_fields.h"
} Pac_0001_0217;

Pac_0001_0217* Pac_0001_0217_Ctor( TsmBase* oParent );

 /* ( Xmi ) */
typedef struct TsmSystemStruct
{
#include "TsmExecComponent_fields.h"
  TsmComponent* aComponents[ 1 ];
  Com_0002_0008* ExecEnv1; /* ( Xmi > Data > Architecture > ExecEnv1 ) */
} TsmSystem;

TsmSystem* TsmSystem_Ctor( TsmBase* oParent );

#ifdef __cplusplus
}
#endif 
#endif
