/*
 * TismTool © Tis Veugen, 2010-2012
 * Simulation, Verification
 *
 * TsmACPort.c
 * version 1
 */
#include <stdio.h>
#include "TsmGen.h"
#include "TsmActivePort.h"
#include "TsmACPort.h"
#include "TsmTrigger.h"
#include "TsmEnvelope.h"

/**
 * Active Client Port
 */

TsmACPort* TsmACPort_Ctor( void )
{
  TsmACPort* this = (TsmACPort*) Tsm_Malloc( sizeof(TsmACPort) );
  TsmACPort_Ftor( this );
  return this;
}

void TsmACPort_Ftor( TsmACPort* this )
{
  TsmActivePort_Ftor( (TsmActivePort*) this );
  this->Class = "TsmACPort";

  this->Handle = (TsmBool (*)( TsmPort*, TsmTrigger* )) TsmACPort_Handle;
  this->ToSeq = (void (*)( TsmPort*, TsmStr )) TsmACPort_ToSeq;
}

TsmBool TsmACPort_Handle( TsmACPort* this, TsmTrigger* oTrigger )
{
  TsmEnvelope lEnvelope;

  TsmEnvelope_Ftor( &lEnvelope, oTrigger, this->Target );
  oTrigger->SetDBU( oTrigger );
  this->mThread->ASyncCall( this->mThread, &lEnvelope );
  return FALSE;
}

void TsmACPort_ToSeq( TsmACPort* this, TsmStr sa )
{
  TsmQueue* lQueue = (TsmQueue*) this->mThread->GetExtQueue( this->mThread );

  sprintf( sa, "E,%d", lQueue->GetSeqId( lQueue ) );
}

