/*
 * TismTool © Tis Veugen, 2010-2012
 * Simulation, Verification
 *
 * TsmASPort.c
 * version 1
 */
#include <stdio.h>
#include "TsmGen.h"
#include "TsmActivePort.h"
#include "TsmASPort.h"
#include "TsmTrigger.h"
#include "TsmEnvelope.h"
#include "TsmQueue.h"

/**
 * Active Server Port
 */

TsmASPort* TsmASPort_Ctor( void )
{
  TsmASPort* this = (TsmASPort*) Tsm_Malloc( sizeof(TsmASPort) );
  TsmASPort_Ftor( this );
  return this;
}

void TsmASPort_Ftor( TsmASPort* this )
{
  TsmActivePort_Ftor( (TsmActivePort*) this );
  this->Class = "TsmASPort";
  this->Target = NULL;

  this->Handle = (TsmBool (*)( TsmPort*, TsmTrigger* )) TsmASPort_Handle;
  this->ToSeq = (void (*)( TsmPort*, TsmStr )) TsmASPort_ToSeq;
}

TsmBool TsmASPort_Handle( TsmASPort* this, TsmTrigger* oTrigger )
{
  TsmEnvelope lEnvelope;

  TsmEnvelope_Ftor( &lEnvelope, oTrigger, this->Target );
  this->mThread->SyncCall( this->mThread, &lEnvelope );
  return TRUE;
}

void TsmASPort_ToSeq( TsmASPort* this, TsmStr sa )
{
  TsmQueue* lQueue = (TsmQueue*) this->mThread->GetExtQueue( this->mThread );

  sprintf( sa, "R,%d", lQueue->GetSeqId( lQueue ) );
}
