/*
 * TismTool © Tis Veugen, 2010-2012
 * Simulation, Verification
 *
 * TsmComponent.h
 * version 1
 */
#ifndef TSM_COMPONENT_H
#define TSM_COMPONENT_H

#ifdef __cplusplus
extern "C" {
#endif

#include "TsmGen.h"
#include "TsmClass.h"

typedef struct TsmComponentStruct /* : TsmClass */
{
#include "TsmComponent_fields.h"
} TsmComponent;

TsmComponent* TsmComponent_Ctor( void );
void          TsmComponent_Ftor( TsmComponent* this );
void          TsmComponent_Gtor( TsmComponent* this );

TsmBool TsmComponent_IsActive( TsmComponent* this );
void    TsmComponent_ThreadId( TsmComponent* this, TsmStr sa );
void    TsmComponent_TsmInitialiseAll( TsmComponent* this, void* oObject );
void    TsmComponent_TsmConnectAll( TsmComponent* this, void* oObject );
void    TsmComponent_TsmPrepareAll( TsmComponent* this, void* oObject );
void    TsmComponent_TsmRunAll( TsmComponent* this, void* oObject );
void    TsmComponent_TsmHaltAll( TsmComponent* this, void* oObject );
void    TsmComponent_TsmCeaseAll( TsmComponent* this, void* oObject );
void    TsmComponent_TsmDisconnectAll( TsmComponent* this, void* oObject );
void    TsmComponent_TsmTerminateAll( TsmComponent* this, void* oObject );
void    TsmComponent_TsmMentionAll( TsmComponent* this, void* oObject );
void    TsmComponent_TsmCheckVisitAll( TsmComponent* this );
void    TsmComponent_DoAssembly(  TsmComponent* this, TsmClass* Client, char* sRequired, TsmClass* Server, char* sProvided );

#ifdef __cplusplus
}
#endif 
#endif
