/*
 * TismTool © Tis Veugen, 2010-2012
 * Simulation, Verification
 *
 * TsmPCPort.c
 * version 2
 */
#include <stdio.h>
#include "TsmGen.h"
#include "TsmPort.h"
#include "TsmPCPort.h"
#include "TsmIntQueue.h"
#include "TsmTrigger.h"
#include "TsmEnvelope.h"

/**
 * Passive Client Port
 */

TsmPCPort* TsmPCPort_Ctor( void )
{
  TsmPCPort* this = (TsmPCPort*) Tsm_Malloc( sizeof(TsmPCPort) );
  TsmPCPort_Ftor( this );
  return this;
}

void TsmPCPort_Ftor( TsmPCPort* this )
{
  TsmPort_Ftor( (TsmPort*) this );
  this->Class = "TsmPCPort";

  this->SetIntQueue = TsmPCPort_SetIntQueue;
  this->Handle = (TsmBool (*)( TsmPort*, TsmTrigger* )) TsmPCPort_Handle;
  this->ToSeq = (void (*)( TsmPort*, TsmStr )) TsmPCPort_ToSeq;
}

void TsmPCPort_SetIntQueue( TsmPCPort* this, TsmIntQueue* oIntQueue )
{
  this->mIntQueue = oIntQueue;
}

TsmBool TsmPCPort_Handle( TsmPCPort* this, TsmTrigger* oTrigger )
{
  TsmEnvelope lEnvelope;

  TsmEnvelope_Ftor( &lEnvelope, oTrigger, this->Target );
  oTrigger->SetDBU( oTrigger );
  this->mIntQueue->Put( (TsmQueue*) this->mIntQueue, &lEnvelope );
  return FALSE;
}

void TsmPCPort_ToSeq( TsmPCPort* this, TsmStr sa )
{
  sprintf( sa, "I,%d", this->mIntQueue->GetSeqId( (TsmQueue*) this->mIntQueue ) );
}
