/*
 * TismTool © Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmProxy.c
 * version 2
 */
#include "TsmGen.h"
#include "TsmClass.h"
#include "TsmProxy.h"
#include "TsmProxyUser.h"

TsmProxy* TsmProxy_Ctor( void )
{
  TsmProxy* this = (TsmProxy*) Tsm_Malloc( sizeof(TsmProxy) );
  TsmProxy_Ftor( this );
  return this;
}

void TsmProxy_Ftor( TsmProxy* this )
{
  TsmClass_Ftor( (TsmClass*) this );
  this->Class = "TsmProxy";
  this->mUser = NULL;

  this->SetProxyUser = (void (*)( TsmClass*, TsmClass* )) TsmProxy_SetProxyUser;
  this->SetProxyOk = TsmProxy_SetProxyOk;
  this->SetProxyNok = TsmProxy_SetProxyNok;
  this->IsTsmProxy = (TsmBool (*)( TsmClass* )) TsmProxy_IsTsmProxy;
}

void TsmProxy_SetProxyUser( TsmProxy* this, TsmProxyUser* oProxyUser )
{
  this->mUser = oProxyUser;
}

void TsmProxy_SetProxyOk( TsmProxy* this )
{
  this->mUser->CbSetProxyOk( this->mUser );
}

void TsmProxy_SetProxyNok( TsmProxy* this )
{
  this->mUser->CbSetProxyNok( this->mUser );
}

TsmBool TsmProxy_IsTsmProxy( TsmProxy* this )
{
  return TRUE;
}
