/*
 * TismTool © Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmProxyUser.c
 * version 1
 */
#include "TsmGen.h"
#include "TsmClass.h"
#include "TsmProxyUser.h"

TsmProxyUser* TsmProxyUser_Ctor( void )
{
  TsmProxyUser* this = (TsmProxyUser*) Tsm_Malloc( sizeof(TsmProxyUser) );
  TsmProxyUser_Ftor( this );
  return this;
}

void TsmProxyUser_Ftor( TsmProxyUser* this )
{
  TsmClass_Ftor( (TsmClass*) this );
  this->Class = "TsmProxyUser";
  this->mProxyOk = FALSE;

  this->IsProxyOk = TsmProxyUser_IsProxyOk;
  this->IsProxyNok = TsmProxyUser_IsProxyNok;
  this->CbSetProxyOk = TsmProxyUser_CbSetProxyOk;
  this->CbSetProxyNok = TsmProxyUser_CbSetProxyNok;
  this->IsTsmProxyUser = (TsmBool (*)( TsmClass* )) TsmProxyUser_IsTsmProxyUser;
}

TsmBool TsmProxyUser_IsProxyOk( TsmProxyUser* this )
{
  return this->mProxyOk;
}

TsmBool TsmProxyUser_IsProxyNok( TsmProxyUser* this )
{
  return ! this->mProxyOk;
}

void TsmProxyUser_CbSetProxyOk( TsmProxyUser* this )
{
  this->mProxyOk = TRUE;
}

void TsmProxyUser_CbSetProxyNok( TsmProxyUser* this )
{
  this->mProxyOk = FALSE;
}

TsmBool TsmProxyUser_IsTsmProxyUser( TsmProxyUser* this )
{
  return TRUE;
}
