/*
 * TismTool © Tis Veugen, 2010-2012
 * Simulation, Verification
 *
 * Tsm.h
 * version 2
 */
#ifndef TSM_H
#define TSM_H

#ifdef __cplusplus
extern "C" {
#endif

#include "TsmGen.h"
#include "TsmException.h"

#ifdef TSM_ASSERT_DEFINED
#define TsmAssert( bCondition ) Tsm_Assert( bCondition, #bCondition, __FILE__, __LINE__ )
#else
#define TsmAssert( bCondition )
#endif

void  Tsm_SetLogConsole( TsmBool bLogConsole );
void  Tsm_SetLogFile( TsmBool bLogFile );
void  Tsm_SetLogLevel( int iLevel );
void  Tsm_SetSeqFile( TsmBool bSeqFile );
void  Tsm_Assert( TsmBool bCondition, char* msg, char* file, int line );
void  Tsm_Open( void );
void  Tsm_Log0( char* s );
void  Tsm_Log( char* s );
void  Tsm_Log2( char* head, char* s );
int   Tsm_SeqClass( char* s );
void  Tsm_Seq0( char* s );
void  Tsm_Seq( char* s );
void  Tsm_Seq2( char* s, int n );
void  Tsm_Lgl0( int iLevel, char* s );
void  Tsm_Lgl( int iLevel, char* s );
void  Tsm_ShowException( char* s );
void  Tsm_Close( void );
char* Tsm_StackTracestrings( void );
void  Tsm_ReportBox( char* s );

#ifdef __cplusplus
}
#endif 
#endif
