/*
 * TismTool  Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmArray.h
 * version 1
 */
#ifndef TSM_ARRAY_H
#define TSM_ARRAY_H

#ifdef __cplusplus
extern "C" {
#endif

typedef void* TsmArrayValue;

typedef struct TsmArrayStruct
{
  int            Size;
  int            Incr;
  int            Number;
  TsmArrayValue* Items;
} TsmArray;

void          TsmArray_Malloc( TsmArray* this, int Size, int Increment );
void          TsmArray_Free( TsmArray* this );
int           TsmArray_Add( TsmArray* this, TsmArrayValue Value );
TsmArrayValue TsmArray_At( TsmArray* this, int i );
void          TsmArray_Clear( TsmArray* this );
void          TsmArray_Insert( TsmArray* this, int i, TsmArrayValue Value );
void          TsmArray_FreeItems( TsmArray* this );
void          TsmArray_DtorItems( TsmArray* this );

#ifdef __cplusplus
}
#endif 
#endif
