/*
 * TismTool © Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmFifo_Envelope.h
 * version 1
 */
#ifndef TSM_FIFO_ENVELOPE_H
#define TSM_FIFO_ENVELOPE_H

#ifdef __cplusplus
extern "C" {
#endif

#include "TsmGen.h"
#include "TsmEnvelope.h"

typedef TsmEnvelope TsmFifoValue;

typedef struct TsmFifo_EnvelopeStruct
{
  int             Size;
  int             Number;
  int             Head;
  TsmFifoValue*   pItems;
} TsmFifo_Envelope;

void    TsmFifo_Envelope_Initialise( TsmFifo_Envelope* this, int Size, TsmFifoValue* Items );
void    TsmFifo_Envelope_Put( TsmFifo_Envelope* this, TsmFifoValue* Value );
TsmBool TsmFifo_Envelope_Get( TsmFifo_Envelope* this, TsmFifoValue* Value );

#ifdef __cplusplus
}
#endif 
#endif
