/*
 * TismTool  Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmMapString.h
 * version 1
 */
#ifndef TSM_MAPSTRING_H
#define TSM_MAPSTRING_H

#ifdef __cplusplus
extern "C" {
#endif

#include "TsmGen.h"
#include "TsmArray.h"
  
typedef void* TsmMapStringValue;

typedef struct TsmMSEntryStruct
{
  char*             Key;
  TsmMapStringValue Value;
} TsmMSEntry;

typedef struct TsmMapStringStruct
{
  int               Size;
  int               Number;
  TsmMSEntry*       Items;
  unsigned char*    Fills;
  TsmArray          Overflow;
} TsmMapString;

void    TsmMapString_Create( TsmMapString* this );
void    TsmMapString_Free( TsmMapString* this );
void    TsmMapString_Delete( TsmMapString* this );
void    TsmMapString_Add( TsmMapString* this, char* Key, TsmMapStringValue Value );
TsmBool TsmMapString_Find( TsmMapString* this, char* Key, TsmMapStringValue* pValue );

#ifdef __cplusplus
}
#endif 
#endif
