/*
 * TismTool © Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmStackList.c
 * version 1
 */
#include "TsmStackList.h"
#include "TsmException.h"

void TsmStackList_Initialise( TsmStackList* this )
{
  this->Number = 0;
  this->pLast  = NULL;
}

void TsmStackList_Push( TsmStackList* this, TsmStackEntry* pEntry )
{
  pEntry->pNext = this->pLast;
  this->pLast = pEntry;
  this->Number++;
}

TsmStackEntry* TsmStackList_Pop( TsmStackList* this )
{
  TsmStackEntry* pTop;

  if ( this->Number == 0 )
  {
    TsmException_Quit( "TsmStackList_Pop" );
  }

  pTop = this->pLast;
  this->pLast = pTop->pNext;
  this->Number--;

  return pTop;
}

TsmStackEntry* TsmStackList_Peek( TsmStackList* this )
{
  if ( this->Number == 0 )
  {
    TsmException_Quit( "TsmStackList_Peek: empty" );
  }

  return this->pLast;
}

TsmBool TsmStackList_Empty( TsmStackList* this )
{
  return (this->Number == 0);
}
