/*
 * TismTool © Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmLeaf.c
 * version 1
 */
#include <string.h>
#include "TsmGen.h"
#include "TsmState.h"
#include "TsmLeaf.h"
#include "TsmHandler.h"
#include "TsmHandlerAction.h"

TsmLeaf* TsmLeaf_Ctor( void )
{
  TsmLeaf* this = (TsmLeaf*) Tsm_Malloc( sizeof(TsmLeaf) );
  TsmLeaf_Ftor( this );
  return this;
}

void TsmLeaf_Ftor( TsmLeaf* this )
{
  TsmState_Ftor( (TsmState*) this );
  this->Class = "TsmLeaf";

  this->Initial = (Tsm_pfStHdlr) TsmLeaf_Initial;
  this->ExecuteTrigger = (Tsm_pfStHdlr) TsmLeaf_ExecuteTrigger;
}

void TsmLeaf_Initial( TsmLeaf* this, TsmHandler* oHandler )
{
  oHandler->Action = TsmHandlerAction_OK;
}

/*
 * Results of oHandler->Action :
 * NOK: no triggers, or triggerless
 * GUARD: trigger, guarded
 * OK: internal transition (even ignored transition)
 * TRANSITION: trigger honoured
 */
void TsmLeaf_ExecuteTrigger( TsmLeaf* this, TsmHandler* oHandler )
{
  oHandler->Action = TsmHandlerAction_NOK;
}
