/*
 * TismTool © Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmActivity.c
 * version 1
 */
#include <string.h>
#include <stdio.h>
#include "TsmGen.h"
#include "TsmObject.h"
#include "TsmActivity.h"
#include "TsmTriggerSem.h"

TsmActivity* TsmActivity_Ctor( void )
{
  TsmActivity* this = (TsmActivity*) Tsm_Malloc( sizeof(TsmActivity) );
  TsmActivity_Ftor( this );
  return this;
}

void TsmActivity_Ftor( TsmActivity* this )
{
  TsmObject_Ftor( (TsmObject*) this );
  this->Class = "TsmActivity";
  this->mNrAnnounce = 0;
  this->mNrAbandon = 0;

  this->Wait = TsmActivity_Wait;
  this->Announce = TsmActivity_Announce;
  this->Abandon = TsmActivity_Abandon;

  TsmTriggerSem_Ftor( &this->mSem );
}

void TsmActivity_Gtor( TsmActivity* this )
{
  TsmTriggerSem_Gtor( &this->mSem );
}

void TsmActivity_Dtor( TsmActivity* this )
{
  TsmActivity_Gtor( this );
  TsmObject_Dtor( (TsmObject*) this );
}

void TsmActivity_Wait( TsmActivity* this )
{
  while ( this->mNrAnnounce != this->mNrAbandon )
  {
    TsmTriggerSem_WaitOne( &this->mSem );
  }
}

void TsmActivity_Announce( TsmActivity* this )
{
  this->mNrAnnounce++;
}

void TsmActivity_Abandon( TsmActivity* this )
{
  this->mNrAbandon++;
  TsmTriggerSem_Release( &this->mSem );
}
