/*
 * TismTool © Tis Veugen, 2010-2012
 * Simulation, Verification
 *
 * TsmRecorder.h
 * version 1
 */
#ifndef TSM_RECORDER_H
#define TSM_RECORDER_H

#ifdef __cplusplus
extern "C" {
#endif

#include "TsmGen.h"
#include "TsmClass.h"
#include "TsmPort.h"

extern int TsmRecorder_NumberOfUnhandledFunctions;
extern int TsmRecorder_NumberOfUnvisitedStates;
extern int TsmRecorder_NumberOfUnvisitedTransitions;
extern int TsmRecorder_NumberOfSyncReturnErrors;
extern int TsmRecorder_NumberOfQueueOverflows;

void TsmRecorder_Initialise( void );
void TsmRecorder_Terminate( void );
int  TsmRecorder_GetNumberOfRecords( void );
int  TsmRecorder_GetNumberOfExtCalls( void );
void TsmRecorder_Reset( void );
void TsmRecorder_Enable( void );
void TsmRecorder_AddNative( char* sNative );
void TsmRecorder_AddCall( char* sCall, TsmClass* oSource, TsmPort* oPort );
void TsmRecorder_AddStates( char* sStates );
void TsmRecorder_UnhandledFunction( char* sEvent );
void TsmRecorder_UnvisitedState( char* sEvent );
void TsmRecorder_UnvisitedTransition( char* sState, char* sEvent );
void TsmRecorder_SyncReturnError( char* sEvent );
void TsmRecorder_QueueOverflow( void );
void TsmRecorder_Show( char* sEvent );
void TsmRecorder_Show2( char* sEvent, int iNrRecords );

#ifdef __cplusplus
}
#endif 
#endif
