/*
 * TismTool © Tis Veugen, 2010-2012
 * Simulation, Verification
 *
 * TsmSupervisor.h
 * version 2
 */
#ifndef TSM_SUPERVISOR_H
#define TSM_SUPERVISOR_H

#ifdef __cplusplus
extern "C" {
#endif

#include "OSAL_Gen.h"
#include "TsmGen.h"
#include "TsmArray.h"
#include "TsmActivity.h"
#include "TsmThreadState.h"
#include "TsmThreadType.h"
#include "TsmThread.h"
#include "TsmClass.h"

extern int       TsmSupervisor_mRandomSeed;
extern long      TsmSupervisor_mMaxNrSimLoops;

void      TsmSupervisor_Initialise( void );
void      TsmSupervisor_Terminate( void );
struct TsmIntQueueStruct* TsmSupervisor_GetIntQueue( void );
void      TsmSupervisor_Announce( void );
void      TsmSupervisor_Abandon( void );
TsmArray* TsmSupervisor_GetClasses( void );
int       TsmSupervisor_Register( TsmThread* oTsmThread );
int       TsmSupervisor_Register2( TsmThread* oTsmThread, TsmThreadType eType );
void      TsmSupervisor_SetState( OSAL_Handle ThreadBid );
void      TsmSupervisor_SetState2( OSAL_Handle ThreadBid, TsmThreadState eState );
void      TsmSupervisor_SetStateRv( OSAL_Handle ThreadBid, TsmThread* oRvThread );
void      TsmSupervisor_NativeEntry( TsmClass* oOwner, const int aNatives[], int NrNatives );
void      TsmSupervisor_NativeExit( TsmClass* oOwner, const int aNatives[], int NrNatives );
void      TsmSupervisor_SnappedClasses( TsmStr sout );
void      TsmSupervisor_SnappedThreads( TsmStr sout );
void      TsmSupervisor_GetCurrentSituation( TsmStr sout );

TsmBool   TsmSupervisor_QueueOverflow( int QueueCount );
TsmBool   TsmSupervisor_ChoiceOK( int MaxNrChoices, int ChoiceIndex, char* sGuard );
void      TsmSupervisor_Verify( void );
void      TsmSupervisor_ConfigureSimulation( int iSeed, long iNrLoops );
void      TsmSupervisor_Simulate( void );
void      TsmSupervisor_Summary( void );
void      TsmSupervisor_Cleanup( void );

#ifdef __cplusplus
}
#endif 
#endif
