/*
 * TismTool © Tis Veugen, 2010-2012
 * Simulation, Verification
 *
 * TsmTrigger.c
 * version 5
 */
#include <stdio.h>
#include "TsmObject.h"
#include "TsmRvState.h"
#include "TsmTrigger.h"
#include "TsmRecorder.h"

TsmTrigger* TsmTrigger_Ctor( int iCmd )
{
  TsmTrigger* this = (TsmTrigger*) Tsm_Malloc( sizeof(TsmTrigger) );
  TsmTrigger_Ftor( this, iCmd );
  return this;
}

void TsmTrigger_Ftor( TsmTrigger* this, int iCmd )
{
  TsmObject_Ftor( (TsmObject*) this );
  this->Class = "TsmTrigger";
  this->bDBU = FALSE;
  this->PortId = 0;
  this->Command = iCmd;
  this->RvState = TsmRvState_IDLE;
  this->IsForeign = FALSE;
  this->Ready = TsmTrigger_Ready;
  this->Snap = TsmTrigger_Snap;
  this->GetDBU = TsmTrigger_GetDBU;
  this->SetDBU = TsmTrigger_SetDBU;
  this->DBU = TsmTrigger_DBU;
  this->DBC = TsmTrigger_DBC;
}

void TsmTrigger_Ready( TsmTrigger* this )
{
  switch ( this->RvState )
  {
  case TsmRvState_IDLE:
    TsmRecorder_SyncReturnError( "**** RENDEZ-VOUS IDLE " );
    break;

  case TsmRvState_WAIT:
    this->RvState = TsmRvState_READY;
    break;

  case TsmRvState_READY:
    TsmRecorder_SyncReturnError( "**** RENDEZ-VOUS READY " );
    break;
  }
}

void TsmTrigger_Snap( TsmTrigger* this, TsmStr sout )
{
  sprintf( sout, " %d.%d", this->PortId, this->Command );
}

TsmBool TsmTrigger_GetDBU( TsmTrigger* this )
{
  return this->bDBU;
}

void TsmTrigger_SetDBU( TsmTrigger* this )
{
  this->bDBU = TRUE;
}

void TsmTrigger_DBU( TsmTrigger* this )
{
  if ( this->bDBU )
  {
    this->Dtor( (TsmObject*) this );
  }
}

void TsmTrigger_DBC( TsmTrigger* this, TsmBool bDelete )
{
  if ( bDelete )
  {
    this->Dtor( (TsmObject*) this );
  }
}
